import {
  collectionEpisode,
  collectionPanel,
  collectionSeason,
  localeToDisplay,
  mapping,
  supported,
  supportedFallbacks,
  videoStreams,
} from "../../src/web-accessible-resources/tabConst";

it("test API seasons", () => {
  let collectionSeason: collectionSeason = {
    __class__: "collection",
    __href__: "/cms/v2/FR/M3/crunchyroll/seasons?series_id=GY5P48XEY",
    __resource_key__: "cms:/seasons?series_id=GY5P48XEY",
    __links__: {},
    __actions__: {},
    total: 10,
    items: [
      {
        __class__: "season",
        __href__: "/cms/v2/FR/M3/crunchyroll/seasons/GR5VCD239",
        __resource_key__: "cms:/seasons/GR5VCD239",
        __links__: {
          "season/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "season/episodes": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes?season_id=GR5VCD239",
          },
          "season/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GY5P48XEY",
          },
        },
        __actions__: {},
        id: "GR5VCD239",
        channel_id: "crunchyroll",
        title: "Demon Slayer: Kimetsu no Yaiba (Russian Dub)",
        slug_title: "demon-slayer-kimetsu-no-yaiba-russian-dub",
        series_id: "GY5P48XEY",
        season_number: 1,
        is_complete: false,
        description: "",
        keywords: [],
        season_tags: [],
        images: {},
        extended_maturity_rating: {},
        maturity_ratings: ["TV-14"],
        is_mature: false,
        mature_blocked: false,
        is_subbed: false,
        is_dubbed: true,
        is_simulcast: false,
        seo_title: "",
        seo_description: "",
        availability_notes: "",
        audio_locales: [],
        subtitle_locales: [],
      },
      {
        __class__: "season",
        __href__: "/cms/v2/FR/M3/crunchyroll/seasons/GY2PCV2P2",
        __resource_key__: "cms:/seasons/GY2PCV2P2",
        __links__: {
          "season/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "season/episodes": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes?season_id=GY2PCV2P2",
          },
          "season/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GY5P48XEY",
          },
        },
        __actions__: {},
        id: "GY2PCV2P2",
        channel_id: "crunchyroll",
        title: "Demon Slayer: Kimetsu no Yaiba (French Dub)",
        slug_title: "demon-slayer-kimetsu-no-yaiba-french-dub",
        series_id: "GY5P48XEY",
        season_number: 1,
        is_complete: false,
        description: "",
        keywords: [],
        season_tags: [],
        images: {},
        extended_maturity_rating: {},
        maturity_ratings: ["TV-14"],
        is_mature: false,
        mature_blocked: false,
        is_subbed: false,
        is_dubbed: true,
        is_simulcast: false,
        seo_title: "",
        seo_description: "",
        availability_notes: "",
        audio_locales: [],
        subtitle_locales: [],
      },
      {
        __class__: "season",
        __href__: "/cms/v2/FR/M3/crunchyroll/seasons/GRW4JP20Y",
        __resource_key__: "cms:/seasons/GRW4JP20Y",
        __links__: {
          "season/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "season/episodes": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes?season_id=GRW4JP20Y",
          },
          "season/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GY5P48XEY",
          },
        },
        __actions__: {},
        id: "GRW4JP20Y",
        channel_id: "crunchyroll",
        title: "Demon Slayer: Kimetsu no Yaiba",
        slug_title: "demon-slayer-kimetsu-no-yaiba",
        series_id: "GY5P48XEY",
        season_number: 1,
        is_complete: false,
        description: "",
        keywords: [],
        season_tags: ["spring-2019", "summer-2019"],
        images: {},
        extended_maturity_rating: {},
        maturity_ratings: ["TV-14"],
        is_mature: false,
        mature_blocked: false,
        is_subbed: true,
        is_dubbed: false,
        is_simulcast: false,
        seo_title: "",
        seo_description: "",
        availability_notes:
          '[link url="https://store.crunchyroll.com/collections/demon-slayer-kimetsu-no-yaiba-merchandise-collection',
        audio_locales: [],
        subtitle_locales: [],
      },
      {
        __class__: "season",
        __href__: "/cms/v2/FR/M3/crunchyroll/seasons/GRX0C4D5Q",
        __resource_key__: "cms:/seasons/GRX0C4D5Q",
        __links__: {
          "season/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "season/episodes": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes?season_id=GRX0C4D5Q",
          },
          "season/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GY5P48XEY",
          },
        },
        __actions__: {},
        id: "GRX0C4D5Q",
        channel_id: "crunchyroll",
        title: "Demon Slayer: Kimetsu no Yaiba Mugen Train Arc (English Dub)",
        slug_title: "demon-slayer-kimetsu-no-yaiba-mugen-train-arc-english-dub",
        series_id: "GY5P48XEY",
        season_number: 2,
        is_complete: false,
        description: "",
        keywords: [],
        season_tags: [],
        images: {},
        extended_maturity_rating: {},
        maturity_ratings: ["TV-14"],
        is_mature: false,
        mature_blocked: false,
        is_subbed: false,
        is_dubbed: true,
        is_simulcast: false,
        seo_title: "",
        seo_description: "",
        availability_notes: "",
        audio_locales: [],
        subtitle_locales: [],
      },
      {
        __class__: "season",
        __href__: "/cms/v2/FR/M3/crunchyroll/seasons/G6P8CX023",
        __resource_key__: "cms:/seasons/G6P8CX023",
        __links__: {
          "season/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "season/episodes": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes?season_id=G6P8CX023",
          },
          "season/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GY5P48XEY",
          },
        },
        __actions__: {},
        id: "G6P8CX023",
        channel_id: "crunchyroll",
        title:
          "Demon Slayer: Kimetsu no Yaiba Entertainment District Arc (English Dub)",
        slug_title:
          "demon-slayer-kimetsu-no-yaiba-entertainment-district-arc-english-dub",
        series_id: "GY5P48XEY",
        season_number: 2,
        is_complete: false,
        description: "",
        keywords: [],
        season_tags: [],
        images: {},
        extended_maturity_rating: {},
        maturity_ratings: ["TV-14"],
        is_mature: false,
        mature_blocked: false,
        is_subbed: false,
        is_dubbed: true,
        is_simulcast: true,
        seo_title: "",
        seo_description: "",
        availability_notes: "",
        audio_locales: [],
        subtitle_locales: [],
      },
      {
        __class__: "season",
        __href__: "/cms/v2/FR/M3/crunchyroll/seasons/GR3VC2P74",
        __resource_key__: "cms:/seasons/GR3VC2P74",
        __links__: {
          "season/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "season/episodes": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes?season_id=GR3VC2P74",
          },
          "season/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GY5P48XEY",
          },
        },
        __actions__: {},
        id: "GR3VC2P74",
        channel_id: "crunchyroll",
        title: "Demon Slayer: Kimetsu no Yaiba Mugen Train Arc (Russian)",
        slug_title: "demon-slayer-kimetsu-no-yaiba-mugen-train-arc-russian",
        series_id: "GY5P48XEY",
        season_number: 2,
        is_complete: false,
        description: "",
        keywords: [],
        season_tags: [],
        images: {},
        extended_maturity_rating: {},
        maturity_ratings: ["TV-14"],
        is_mature: false,
        mature_blocked: false,
        is_subbed: false,
        is_dubbed: true,
        is_simulcast: false,
        seo_title: "",
        seo_description: "",
        availability_notes: "",
        audio_locales: [],
        subtitle_locales: [],
      },
      {
        __class__: "season",
        __href__: "/cms/v2/FR/M3/crunchyroll/seasons/G6X0C4KDW",
        __resource_key__: "cms:/seasons/G6X0C4KDW",
        __links__: {
          "season/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "season/episodes": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes?season_id=G6X0C4KDW",
          },
          "season/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GY5P48XEY",
          },
        },
        __actions__: {},
        id: "G6X0C4KDW",
        channel_id: "crunchyroll",
        title: "Demon Slayer: Kimetsu no Yaiba Mugen Train Arc (French Dub)",
        slug_title: "demon-slayer-kimetsu-no-yaiba-mugen-train-arc-french-dub",
        series_id: "GY5P48XEY",
        season_number: 2,
        is_complete: false,
        description: "",
        keywords: [],
        season_tags: [],
        images: {},
        extended_maturity_rating: {},
        maturity_ratings: ["TV-14"],
        is_mature: false,
        mature_blocked: false,
        is_subbed: false,
        is_dubbed: true,
        is_simulcast: false,
        seo_title: "",
        seo_description: "",
        availability_notes: "",
        audio_locales: [],
        subtitle_locales: [],
      },
      {
        __class__: "season",
        __href__: "/cms/v2/FR/M3/crunchyroll/seasons/G675CDWMX",
        __resource_key__: "cms:/seasons/G675CDWMX",
        __links__: {
          "season/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "season/episodes": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes?season_id=G675CDWMX",
          },
          "season/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GY5P48XEY",
          },
        },
        __actions__: {},
        id: "G675CDWMX",
        channel_id: "crunchyroll",
        title:
          "Demon Slayer: Kimetsu no Yaiba Entertainment District Arc (French Dub)",
        slug_title:
          "demon-slayer-kimetsu-no-yaiba-entertainment-district-arc-french-dub",
        series_id: "GY5P48XEY",
        season_number: 2,
        is_complete: false,
        description: "",
        keywords: [],
        season_tags: [],
        images: {},
        extended_maturity_rating: {},
        maturity_ratings: ["TV-14"],
        is_mature: false,
        mature_blocked: false,
        is_subbed: false,
        is_dubbed: true,
        is_simulcast: false,
        seo_title: "",
        seo_description: "",
        availability_notes: "",
        audio_locales: [],
        subtitle_locales: [],
      },
      {
        __class__: "season",
        __href__: "/cms/v2/FR/M3/crunchyroll/seasons/GR8VCPDK2",
        __resource_key__: "cms:/seasons/GR8VCPDK2",
        __links__: {
          "season/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "season/episodes": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes?season_id=GR8VCPDK2",
          },
          "season/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GY5P48XEY",
          },
        },
        __actions__: {},
        id: "GR8VCPDK2",
        channel_id: "crunchyroll",
        title: "Demon Slayer: Kimetsu no Yaiba Mugen Train Arc",
        slug_title: "demon-slayer-kimetsu-no-yaiba-mugen-train-arc",
        series_id: "GY5P48XEY",
        season_number: 2,
        is_complete: false,
        description: "",
        keywords: [],
        season_tags: ["fall-2021"],
        images: {},
        extended_maturity_rating: {},
        maturity_ratings: ["TV-14"],
        is_mature: false,
        mature_blocked: false,
        is_subbed: true,
        is_dubbed: false,
        is_simulcast: false,
        seo_title: "",
        seo_description: "",
        availability_notes: "",
        audio_locales: [],
        subtitle_locales: [],
      },
      {
        __class__: "season",
        __href__: "/cms/v2/FR/M3/crunchyroll/seasons/GYVNC2VPW",
        __resource_key__: "cms:/seasons/GYVNC2VPW",
        __links__: {
          "season/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "season/episodes": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes?season_id=GYVNC2VPW",
          },
          "season/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GY5P48XEY",
          },
        },
        __actions__: {},
        id: "GYVNC2VPW",
        channel_id: "crunchyroll",
        title: "Demon Slayer: Kimetsu no Yaiba Entertainment District Arc",
        slug_title: "demon-slayer-kimetsu-no-yaiba-entertainment-district-arc",
        series_id: "GY5P48XEY",
        season_number: 2,
        is_complete: false,
        description: "",
        keywords: [],
        season_tags: ["winter-2022"],
        images: {},
        extended_maturity_rating: {},
        maturity_ratings: ["TV-14"],
        is_mature: false,
        mature_blocked: false,
        is_subbed: true,
        is_dubbed: false,
        is_simulcast: true,
        seo_title: "",
        seo_description: "",
        availability_notes: "",
        audio_locales: [],
        subtitle_locales: [],
      },
    ],
  };
});

it("test API episodes", () => {
  let collectionEpisode: collectionEpisode = {
    __class__: "collection",
    __href__: "/cms/v2/FR/M3/crunchyroll/episodes?season_id=G6VD5VM46",
    __resource_key__: "cms:/episodes?season_id=G6VD5VM46",
    __links__: {},
    __actions__: {},
    total: 24,
    items: [
      {
        __class__: "episode",
        __href__: "/cms/v2/FR/M3/crunchyroll/episodes/GY3K0QWZY",
        __resource_key__: "cms:/episodes/GY3K0QWZY",
        __links__: {
          "episode/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "episode/next_episode": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes/G624G859Y",
          },
          "episode/season": {
            href: "/cms/v2/FR/M3/crunchyroll/seasons/G6VD5VM46",
          },
          "episode/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GRZXQJJ8Y",
          },
          streams: {
            href: "/cms/v2/FR/M3/crunchyroll/videos/G8MFN925K/streams",
          },
        },
        __actions__: {},
        id: "GY3K0QWZY",
        channel_id: "crunchyroll",
        series_id: "GRZXQJJ8Y",
        series_title: "The Ancient Magus' Bride",
        series_slug_title: "the-ancient-magus-bride",
        season_id: "G6VD5VM46",
        season_title: "The Ancient Magus' Bride (English Dub)",
        season_slug_title: "the-ancient-magus-bride-english-dub",
        season_number: 1,
        episode: "1",
        episode_number: 1,
        sequence_number: 1,
        production_episode_id: "",
        title: "April showers bring May flowers",
        slug_title: "april-showers-bring-may-flowers",
        description:
          "Having given up on life, 15-year-old Hatori Chise sells herself at an underground auction, where she is bought by Elias Ainsworth, a not-quite-human mage, for 5 million pounds. She learns that he intends for her to be his future bride, and her world begins to change.",
        next_episode_id: "G624G859Y",
        next_episode_title: "One today is worth two tomorrows",
        hd_flag: true,
        maturity_ratings: ["TV-14"],
        extended_maturity_rating: {},
        is_mature: false,
        mature_blocked: false,
        episode_air_date: "2017-10-08T01:30:00+09:00",
        available_date: null,
        free_available_date: "2020-01-30T23:00:00Z",
        premium_date: null,
        premium_available_date: "2020-01-30T23:00:00Z",
        is_subbed: false,
        is_dubbed: true,
        is_clip: false,
        seo_title: "",
        seo_description: "",
        season_tags: [],
        available_offline: true,
        media_type: "episode",
        slug: "",
        images: {
          thumbnail: [
            [
              {
                width: 320,
                height: 180,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/320x180/catalog/crunchyroll/a1ecb0108f5bb71fae6cbb438f298a1d.jpeg",
              },
              {
                width: 600,
                height: 338,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/600x338/catalog/crunchyroll/a1ecb0108f5bb71fae6cbb438f298a1d.jpeg",
              },
              {
                width: 640,
                height: 360,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/640x360/catalog/crunchyroll/a1ecb0108f5bb71fae6cbb438f298a1d.jpeg",
              },
              {
                width: 800,
                height: 450,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/800x450/catalog/crunchyroll/a1ecb0108f5bb71fae6cbb438f298a1d.jpeg",
              },
              {
                width: 1200,
                height: 675,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1200x675/catalog/crunchyroll/a1ecb0108f5bb71fae6cbb438f298a1d.jpeg",
              },
              {
                width: 1440,
                height: 810,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1440x810/catalog/crunchyroll/a1ecb0108f5bb71fae6cbb438f298a1d.jpeg",
              },
              {
                width: 1600,
                height: 900,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1600x900/catalog/crunchyroll/a1ecb0108f5bb71fae6cbb438f298a1d.jpeg",
              },
              {
                width: 1920,
                height: 1080,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1920x1080/catalog/crunchyroll/a1ecb0108f5bb71fae6cbb438f298a1d.jpeg",
              },
            ],
          ],
        },
        duration_ms: 1450056,
        is_premium_only: false,
        listing_id: "",
        subtitle_locales: ["en-US"],
        playback:
          "https://pl.crunchyroll.com/asset/389e0008525987125a282e327d4f34d0/v/dbe64c259b22869396d4fcad820b0901/languages/en-US",
        availability_notes: "",
      },
      {
        __class__: "episode",
        __href__: "/cms/v2/FR/M3/crunchyroll/episodes/G624G859Y",
        __resource_key__: "cms:/episodes/G624G859Y",
        __links__: {
          "episode/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "episode/next_episode": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes/G6ZJE84MY",
          },
          "episode/season": {
            href: "/cms/v2/FR/M3/crunchyroll/seasons/G6VD5VM46",
          },
          "episode/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GRZXQJJ8Y",
          },
          streams: {
            href: "/cms/v2/FR/M3/crunchyroll/videos/GZ4FVNP9N/streams",
          },
        },
        __actions__: {},
        id: "G624G859Y",
        channel_id: "crunchyroll",
        series_id: "GRZXQJJ8Y",
        series_title: "The Ancient Magus' Bride",
        series_slug_title: "the-ancient-magus-bride",
        season_id: "G6VD5VM46",
        season_title: "The Ancient Magus' Bride (English Dub)",
        season_slug_title: "the-ancient-magus-bride-english-dub",
        season_number: 1,
        episode: "2",
        episode_number: 2,
        sequence_number: 2,
        production_episode_id: "",
        title: "One today is worth two tomorrows",
        slug_title: "one-today-is-worth-two-tomorrows",
        description:
          "Few people know the truth about the bookstore on the outskirts of London that Elias frequents. He takes Chise there, where they meet Angelica, who teaches Chise a little bit of magic, but... The true power of the Sleigh Beggy materializes a fragment of Chise's memories.",
        next_episode_id: "G6ZJE84MY",
        next_episode_title:
          "The balance distinguishes not between gold and lead",
        hd_flag: true,
        maturity_ratings: ["TV-14"],
        extended_maturity_rating: {},
        is_mature: false,
        mature_blocked: false,
        episode_air_date: "2017-10-15T01:30:00+09:00",
        available_date: null,
        free_available_date: "2020-01-30T23:00:00Z",
        premium_date: null,
        premium_available_date: "2020-01-30T23:00:00Z",
        is_subbed: false,
        is_dubbed: true,
        is_clip: false,
        seo_title: "",
        seo_description: "",
        season_tags: [],
        available_offline: true,
        media_type: "episode",
        slug: "",
        images: {
          thumbnail: [
            [
              {
                width: 320,
                height: 180,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/320x180/catalog/crunchyroll/d6fd14d79ef3e676d974994cd977b5f7.jpeg",
              },
              {
                width: 600,
                height: 338,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/600x338/catalog/crunchyroll/d6fd14d79ef3e676d974994cd977b5f7.jpeg",
              },
              {
                width: 640,
                height: 360,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/640x360/catalog/crunchyroll/d6fd14d79ef3e676d974994cd977b5f7.jpeg",
              },
              {
                width: 800,
                height: 450,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/800x450/catalog/crunchyroll/d6fd14d79ef3e676d974994cd977b5f7.jpeg",
              },
              {
                width: 1200,
                height: 675,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1200x675/catalog/crunchyroll/d6fd14d79ef3e676d974994cd977b5f7.jpeg",
              },
              {
                width: 1440,
                height: 810,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1440x810/catalog/crunchyroll/d6fd14d79ef3e676d974994cd977b5f7.jpeg",
              },
              {
                width: 1600,
                height: 900,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1600x900/catalog/crunchyroll/d6fd14d79ef3e676d974994cd977b5f7.jpeg",
              },
              {
                width: 1920,
                height: 1080,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1920x1080/catalog/crunchyroll/d6fd14d79ef3e676d974994cd977b5f7.jpeg",
              },
            ],
          ],
        },
        duration_ms: 1450099,
        is_premium_only: false,
        listing_id: "",
        subtitle_locales: [],
        playback:
          "https://pl.crunchyroll.com/asset/2b3d51d5ae5b63f1e77878d1e1f27a64/v/f7e5f1cf86a50b1255d0cf754a7afe18/languages/en-US",
        availability_notes: "",
      },
      {
        __class__: "episode",
        __href__: "/cms/v2/FR/M3/crunchyroll/episodes/G6ZJE84MY",
        __resource_key__: "cms:/episodes/G6ZJE84MY",
        __links__: {
          "episode/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "episode/next_episode": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes/G60X5P1VR",
          },
          "episode/season": {
            href: "/cms/v2/FR/M3/crunchyroll/seasons/G6VD5VM46",
          },
          "episode/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GRZXQJJ8Y",
          },
          streams: {
            href: "/cms/v2/FR/M3/crunchyroll/videos/GDVFV427N/streams",
          },
        },
        __actions__: {},
        id: "G6ZJE84MY",
        channel_id: "crunchyroll",
        series_id: "GRZXQJJ8Y",
        series_title: "The Ancient Magus' Bride",
        series_slug_title: "the-ancient-magus-bride",
        season_id: "G6VD5VM46",
        season_title: "The Ancient Magus' Bride (English Dub)",
        season_slug_title: "the-ancient-magus-bride-english-dub",
        season_number: 1,
        episode: "3",
        episode_number: 3,
        sequence_number: 3,
        production_episode_id: "",
        title: "The balance distinguishes not between gold and lead",
        slug_title: "the-balance-distinguishes-not-between-gold-and-lead",
        description:
          "Simon, who is assigned by the Church to keep an eye on Elias, visits with some business. One of his requests brings Chise and Elias to the ends of the earth, where they meet Elias' mentor, Lindel, along with an old race on the verge of extinction. An old one, about to return to the earth, spends his last moments sharing a dream with Chise.",
        next_episode_id: "G60X5P1VR",
        next_episode_title: "Everything must have a beginning",
        hd_flag: true,
        maturity_ratings: ["TV-14"],
        extended_maturity_rating: {},
        is_mature: false,
        mature_blocked: false,
        episode_air_date: "2017-10-22T01:30:00+09:00",
        available_date: null,
        free_available_date: "2020-01-30T23:00:00Z",
        premium_date: null,
        premium_available_date: "2020-01-30T23:00:00Z",
        is_subbed: false,
        is_dubbed: true,
        is_clip: false,
        seo_title: "",
        seo_description: "",
        season_tags: [],
        available_offline: true,
        media_type: "episode",
        slug: "",
        images: {
          thumbnail: [
            [
              {
                width: 320,
                height: 180,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/320x180/catalog/crunchyroll/c9bd824c400a678a6fe069905bff90c7.jpeg",
              },
              {
                width: 600,
                height: 338,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/600x338/catalog/crunchyroll/c9bd824c400a678a6fe069905bff90c7.jpeg",
              },
              {
                width: 640,
                height: 360,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/640x360/catalog/crunchyroll/c9bd824c400a678a6fe069905bff90c7.jpeg",
              },
              {
                width: 800,
                height: 450,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/800x450/catalog/crunchyroll/c9bd824c400a678a6fe069905bff90c7.jpeg",
              },
              {
                width: 1200,
                height: 675,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1200x675/catalog/crunchyroll/c9bd824c400a678a6fe069905bff90c7.jpeg",
              },
              {
                width: 1440,
                height: 810,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1440x810/catalog/crunchyroll/c9bd824c400a678a6fe069905bff90c7.jpeg",
              },
              {
                width: 1600,
                height: 900,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1600x900/catalog/crunchyroll/c9bd824c400a678a6fe069905bff90c7.jpeg",
              },
              {
                width: 1920,
                height: 1080,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1920x1080/catalog/crunchyroll/c9bd824c400a678a6fe069905bff90c7.jpeg",
              },
            ],
          ],
        },
        duration_ms: 1451549,
        is_premium_only: false,
        listing_id: "",
        subtitle_locales: [],
        playback:
          "https://pl.crunchyroll.com/asset/2396ee9f93b979166d8485b647f49d9c/v/b55125c806006675d7936b97c8576868/languages/en-US",
        availability_notes: "",
      },
      {
        __class__: "episode",
        __href__: "/cms/v2/FR/M3/crunchyroll/episodes/G60X5P1VR",
        __resource_key__: "cms:/episodes/G60X5P1VR",
        __links__: {
          "episode/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "episode/next_episode": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes/GYQWD197Y",
          },
          "episode/season": {
            href: "/cms/v2/FR/M3/crunchyroll/seasons/G6VD5VM46",
          },
          "episode/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GRZXQJJ8Y",
          },
          streams: {
            href: "/cms/v2/FR/M3/crunchyroll/videos/GQ9FG4EWE/streams",
          },
        },
        __actions__: {},
        id: "G60X5P1VR",
        channel_id: "crunchyroll",
        series_id: "GRZXQJJ8Y",
        series_title: "The Ancient Magus' Bride",
        series_slug_title: "the-ancient-magus-bride",
        season_id: "G6VD5VM46",
        season_title: "The Ancient Magus' Bride (English Dub)",
        season_slug_title: "the-ancient-magus-bride-english-dub",
        season_number: 1,
        episode: "4",
        episode_number: 4,
        sequence_number: 4,
        production_episode_id: "",
        title: "Everything must have a beginning",
        slug_title: "everything-must-have-a-beginning",
        description:
          "Long ago, the humans and cats of Ulthar, city of cats, were struck by a great tragedy. For generations, the souls of those who were at the center of this tragedy have been sealed away by the king of cats. Chise and Elias travel to Ulthar in order to complete Simon's second task: to purify the spirits that remain.",
        next_episode_id: "GYQWD197Y",
        next_episode_title: "Love conquers all",
        hd_flag: true,
        maturity_ratings: ["TV-14"],
        extended_maturity_rating: {},
        is_mature: false,
        mature_blocked: false,
        episode_air_date: "2017-10-29T01:30:00+09:00",
        available_date: null,
        free_available_date: "2020-01-30T23:00:00Z",
        premium_date: null,
        premium_available_date: "2020-01-30T23:00:00Z",
        is_subbed: false,
        is_dubbed: true,
        is_clip: false,
        seo_title: "",
        seo_description: "",
        season_tags: [],
        available_offline: true,
        media_type: "episode",
        slug: "",
        images: {
          thumbnail: [
            [
              {
                width: 320,
                height: 180,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/320x180/catalog/crunchyroll/054e4ab15e661b9c2880c3b7a43c6d34.jpeg",
              },
              {
                width: 600,
                height: 338,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/600x338/catalog/crunchyroll/054e4ab15e661b9c2880c3b7a43c6d34.jpeg",
              },
              {
                width: 640,
                height: 360,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/640x360/catalog/crunchyroll/054e4ab15e661b9c2880c3b7a43c6d34.jpeg",
              },
              {
                width: 800,
                height: 450,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/800x450/catalog/crunchyroll/054e4ab15e661b9c2880c3b7a43c6d34.jpeg",
              },
              {
                width: 1200,
                height: 675,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1200x675/catalog/crunchyroll/054e4ab15e661b9c2880c3b7a43c6d34.jpeg",
              },
              {
                width: 1440,
                height: 810,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1440x810/catalog/crunchyroll/054e4ab15e661b9c2880c3b7a43c6d34.jpeg",
              },
              {
                width: 1600,
                height: 900,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1600x900/catalog/crunchyroll/054e4ab15e661b9c2880c3b7a43c6d34.jpeg",
              },
              {
                width: 1920,
                height: 1080,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1920x1080/catalog/crunchyroll/054e4ab15e661b9c2880c3b7a43c6d34.jpeg",
              },
            ],
          ],
        },
        duration_ms: 1450099,
        is_premium_only: false,
        listing_id: "",
        subtitle_locales: [],
        playback:
          "https://pl.crunchyroll.com/asset/768b17affa941b0afcae0e6e5977bfd7/v/fab68f8a63882a99177ad4cf65392605/languages/en-US",
        availability_notes: "",
      },
      {
        __class__: "episode",
        __href__: "/cms/v2/FR/M3/crunchyroll/episodes/GYQWD197Y",
        __resource_key__: "cms:/episodes/GYQWD197Y",
        __links__: {
          "episode/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "episode/next_episode": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes/GRW4W3M3Y",
          },
          "episode/season": {
            href: "/cms/v2/FR/M3/crunchyroll/seasons/G6VD5VM46",
          },
          "episode/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GRZXQJJ8Y",
          },
          streams: {
            href: "/cms/v2/FR/M3/crunchyroll/videos/G5JFZJEG4/streams",
          },
        },
        __actions__: {},
        id: "GYQWD197Y",
        channel_id: "crunchyroll",
        series_id: "GRZXQJJ8Y",
        series_title: "The Ancient Magus' Bride",
        series_slug_title: "the-ancient-magus-bride",
        season_id: "G6VD5VM46",
        season_title: "The Ancient Magus' Bride (English Dub)",
        season_slug_title: "the-ancient-magus-bride-english-dub",
        season_number: 1,
        episode: "5",
        episode_number: 5,
        sequence_number: 5,
        production_episode_id: "",
        title: "Love conquers all",
        slug_title: "love-conquers-all",
        description:
          "To sorcerer Refnred's eyes, Chise is a sad girl, being duped by a mage. But no matter what Elias' true motives are, Chise has no intention of leaving him. Elias was the first person to value her, after all. As she walks towards the epicenter, she learns of the truth behind it. The sight of a boy appears behind the tragedy.",
        next_episode_id: "GRW4W3M3Y",
        next_episode_title: "The Faerie Queene",
        hd_flag: true,
        maturity_ratings: ["TV-14"],
        extended_maturity_rating: {},
        is_mature: false,
        mature_blocked: false,
        episode_air_date: "2017-11-05T01:30:00+09:00",
        available_date: null,
        free_available_date: "2020-01-30T23:00:00Z",
        premium_date: null,
        premium_available_date: "2020-01-30T23:00:00Z",
        is_subbed: false,
        is_dubbed: true,
        is_clip: false,
        seo_title: "",
        seo_description: "",
        season_tags: [],
        available_offline: true,
        media_type: "episode",
        slug: "",
        images: {
          thumbnail: [
            [
              {
                width: 320,
                height: 180,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/320x180/catalog/crunchyroll/7f513a5104a797ad34db8d4361548354.jpeg",
              },
              {
                width: 600,
                height: 338,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/600x338/catalog/crunchyroll/7f513a5104a797ad34db8d4361548354.jpeg",
              },
              {
                width: 640,
                height: 360,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/640x360/catalog/crunchyroll/7f513a5104a797ad34db8d4361548354.jpeg",
              },
              {
                width: 800,
                height: 450,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/800x450/catalog/crunchyroll/7f513a5104a797ad34db8d4361548354.jpeg",
              },
              {
                width: 1200,
                height: 675,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1200x675/catalog/crunchyroll/7f513a5104a797ad34db8d4361548354.jpeg",
              },
              {
                width: 1440,
                height: 810,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1440x810/catalog/crunchyroll/7f513a5104a797ad34db8d4361548354.jpeg",
              },
              {
                width: 1600,
                height: 900,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1600x900/catalog/crunchyroll/7f513a5104a797ad34db8d4361548354.jpeg",
              },
              {
                width: 1920,
                height: 1080,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1920x1080/catalog/crunchyroll/7f513a5104a797ad34db8d4361548354.jpeg",
              },
            ],
          ],
        },
        duration_ms: 1450141,
        is_premium_only: false,
        listing_id: "",
        subtitle_locales: [],
        playback:
          "https://pl.crunchyroll.com/asset/44ecd665486cd1cf1551072844fad696/v/a4704963a48f1d140a767baec9dd24e3/languages/en-US",
        availability_notes: "",
      },
      {
        __class__: "episode",
        __href__: "/cms/v2/FR/M3/crunchyroll/episodes/GRW4W3M3Y",
        __resource_key__: "cms:/episodes/GRW4W3M3Y",
        __links__: {
          "episode/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "episode/next_episode": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes/GR1XW2N0R",
          },
          "episode/season": {
            href: "/cms/v2/FR/M3/crunchyroll/seasons/G6VD5VM46",
          },
          "episode/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GRZXQJJ8Y",
          },
          streams: {
            href: "/cms/v2/FR/M3/crunchyroll/videos/GWMF8NP0G/streams",
          },
        },
        __actions__: {},
        id: "GRW4W3M3Y",
        channel_id: "crunchyroll",
        series_id: "GRZXQJJ8Y",
        series_title: "The Ancient Magus' Bride",
        series_slug_title: "the-ancient-magus-bride",
        season_id: "G6VD5VM46",
        season_title: "The Ancient Magus' Bride (English Dub)",
        season_slug_title: "the-ancient-magus-bride-english-dub",
        season_number: 1,
        episode: "6",
        episode_number: 6,
        sequence_number: 6,
        production_episode_id: "",
        title: "The Faerie Queene",
        slug_title: "the-faerie-queene",
        description:
          "Chise is deep in thought as she watches the souls return to where they'd belonged all along. More than ten days have passed since the incident at Ulthar, but she is still in a deep sleep. Elias and Simon stand worriedly by her side, when they are met by two unexpected guests: Titania, Queen of Fairies, Lord of Tír na nÓg.",
        next_episode_id: "GR1XW2N0R",
        next_episode_title: "Talk of the devil, and he is sure to appear.",
        hd_flag: true,
        maturity_ratings: ["TV-14"],
        extended_maturity_rating: {},
        is_mature: false,
        mature_blocked: false,
        episode_air_date: "2017-11-12T01:30:00+09:00",
        available_date: null,
        free_available_date: "2020-01-30T23:00:00Z",
        premium_date: null,
        premium_available_date: "2020-01-30T23:00:00Z",
        is_subbed: false,
        is_dubbed: true,
        is_clip: false,
        seo_title: "",
        seo_description: "",
        season_tags: [],
        available_offline: true,
        media_type: "episode",
        slug: "",
        images: {
          thumbnail: [
            [
              {
                width: 320,
                height: 180,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/320x180/catalog/crunchyroll/7669fa385d664259e9c9cf414f498ea1.jpeg",
              },
              {
                width: 600,
                height: 338,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/600x338/catalog/crunchyroll/7669fa385d664259e9c9cf414f498ea1.jpeg",
              },
              {
                width: 640,
                height: 360,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/640x360/catalog/crunchyroll/7669fa385d664259e9c9cf414f498ea1.jpeg",
              },
              {
                width: 800,
                height: 450,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/800x450/catalog/crunchyroll/7669fa385d664259e9c9cf414f498ea1.jpeg",
              },
              {
                width: 1200,
                height: 675,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1200x675/catalog/crunchyroll/7669fa385d664259e9c9cf414f498ea1.jpeg",
              },
              {
                width: 1440,
                height: 810,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1440x810/catalog/crunchyroll/7669fa385d664259e9c9cf414f498ea1.jpeg",
              },
              {
                width: 1600,
                height: 900,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1600x900/catalog/crunchyroll/7669fa385d664259e9c9cf414f498ea1.jpeg",
              },
              {
                width: 1920,
                height: 1080,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1920x1080/catalog/crunchyroll/7669fa385d664259e9c9cf414f498ea1.jpeg",
              },
            ],
          ],
        },
        duration_ms: 1450013,
        is_premium_only: false,
        listing_id: "",
        subtitle_locales: ["en-US"],
        playback:
          "https://pl.crunchyroll.com/asset/81a1dd04fc38ddb038219e927248ebac/v/88ad4832cbe93dcdbde945808621ca36/languages/en-US",
        availability_notes: "",
      },
      {
        __class__: "episode",
        __href__: "/cms/v2/FR/M3/crunchyroll/episodes/GR1XW2N0R",
        __resource_key__: "cms:/episodes/GR1XW2N0R",
        __links__: {
          "episode/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "episode/next_episode": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes/GYXJGP1M6",
          },
          "episode/season": {
            href: "/cms/v2/FR/M3/crunchyroll/seasons/G6VD5VM46",
          },
          "episode/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GRZXQJJ8Y",
          },
          streams: {
            href: "/cms/v2/FR/M3/crunchyroll/videos/GGVF27D13/streams",
          },
        },
        __actions__: {},
        id: "GR1XW2N0R",
        channel_id: "crunchyroll",
        series_id: "GRZXQJJ8Y",
        series_title: "The Ancient Magus' Bride",
        series_slug_title: "the-ancient-magus-bride",
        season_id: "G6VD5VM46",
        season_title: "The Ancient Magus' Bride (English Dub)",
        season_slug_title: "the-ancient-magus-bride-english-dub",
        season_number: 1,
        episode: "7",
        episode_number: 7,
        sequence_number: 7,
        production_episode_id: "",
        title: "Talk of the devil, and he is sure to appear.",
        slug_title: "talk-of-the-devil-and-he-is-sure-to-appear",
        description:
          "The dog, with its flowing, black hair and burning red eyes, called Chise by the name \"Isabelle.\" The Church's final request is to investigate a black dog that emerged in a cemetetry, but the black dog ends up saving Chise from danger. Meanwhile, Renfred's apprentice, Alice, is also on the move, looking for the black dog.",
        next_episode_id: "GYXJGP1M6",
        next_episode_title: "Let sleeping dogs lie.",
        hd_flag: true,
        maturity_ratings: ["TV-14"],
        extended_maturity_rating: {},
        is_mature: false,
        mature_blocked: false,
        episode_air_date: "2017-11-19T01:30:00+09:00",
        available_date: null,
        free_available_date: "2020-01-30T23:00:00Z",
        premium_date: null,
        premium_available_date: "2020-01-30T23:00:00Z",
        is_subbed: false,
        is_dubbed: true,
        is_clip: false,
        seo_title: "",
        seo_description: "",
        season_tags: [],
        available_offline: true,
        media_type: "episode",
        slug: "",
        images: {
          thumbnail: [
            [
              {
                width: 320,
                height: 180,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/320x180/catalog/crunchyroll/644677895f580f6ed47da007c5d998e2.jpeg",
              },
              {
                width: 600,
                height: 338,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/600x338/catalog/crunchyroll/644677895f580f6ed47da007c5d998e2.jpeg",
              },
              {
                width: 640,
                height: 360,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/640x360/catalog/crunchyroll/644677895f580f6ed47da007c5d998e2.jpeg",
              },
              {
                width: 800,
                height: 450,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/800x450/catalog/crunchyroll/644677895f580f6ed47da007c5d998e2.jpeg",
              },
              {
                width: 1200,
                height: 675,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1200x675/catalog/crunchyroll/644677895f580f6ed47da007c5d998e2.jpeg",
              },
              {
                width: 1440,
                height: 810,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1440x810/catalog/crunchyroll/644677895f580f6ed47da007c5d998e2.jpeg",
              },
              {
                width: 1600,
                height: 900,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1600x900/catalog/crunchyroll/644677895f580f6ed47da007c5d998e2.jpeg",
              },
              {
                width: 1920,
                height: 1080,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1920x1080/catalog/crunchyroll/644677895f580f6ed47da007c5d998e2.jpeg",
              },
            ],
          ],
        },
        duration_ms: 1450099,
        is_premium_only: false,
        listing_id: "",
        subtitle_locales: [],
        playback:
          "https://pl.crunchyroll.com/asset/29ba42ad5386fe6dbcf53327d412880f/v/98697a21e0feeade87c774788d7013a3/languages/en-US",
        availability_notes: "",
      },
      {
        __class__: "episode",
        __href__: "/cms/v2/FR/M3/crunchyroll/episodes/GYXJGP1M6",
        __resource_key__: "cms:/episodes/GYXJGP1M6",
        __links__: {
          "episode/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "episode/next_episode": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes/G679X075Y",
          },
          "episode/season": {
            href: "/cms/v2/FR/M3/crunchyroll/seasons/G6VD5VM46",
          },
          "episode/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GRZXQJJ8Y",
          },
          streams: {
            href: "/cms/v2/FR/M3/crunchyroll/videos/G07FNQ9Z1/streams",
          },
        },
        __actions__: {},
        id: "GYXJGP1M6",
        channel_id: "crunchyroll",
        series_id: "GRZXQJJ8Y",
        series_title: "The Ancient Magus' Bride",
        series_slug_title: "the-ancient-magus-bride",
        season_id: "G6VD5VM46",
        season_title: "The Ancient Magus' Bride (English Dub)",
        season_slug_title: "the-ancient-magus-bride-english-dub",
        season_number: 1,
        episode: "8",
        episode_number: 8,
        sequence_number: 8,
        production_episode_id: "",
        title: "Let sleeping dogs lie.",
        slug_title: "let-sleeping-dogs-lie",
        description:
          'Alice sees Elias\' changes and decides immediately that he could never be human. Sorcerer Cartaphilius, who is attempting to capture the black dog by manipulating Renfred and Alice, causes Elias to show a completely different side of himself when his "work" hurts Chise. Those who know Elias call him the Pilum Murialis.',
        next_episode_id: "G679X075Y",
        next_episode_title: "None so deaf as those who will not hear",
        hd_flag: true,
        maturity_ratings: ["TV-14"],
        extended_maturity_rating: {},
        is_mature: false,
        mature_blocked: false,
        episode_air_date: "2017-11-26T01:30:00+09:00",
        available_date: null,
        free_available_date: "2020-01-30T23:00:00Z",
        premium_date: null,
        premium_available_date: "2020-01-30T23:00:00Z",
        is_subbed: false,
        is_dubbed: true,
        is_clip: false,
        seo_title: "",
        seo_description: "",
        season_tags: [],
        available_offline: true,
        media_type: "episode",
        slug: "",
        images: {
          thumbnail: [
            [
              {
                width: 320,
                height: 180,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/320x180/catalog/crunchyroll/6f1b2ff6bcfd55ab2fbf1e0dfe908a2d.jpeg",
              },
              {
                width: 600,
                height: 338,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/600x338/catalog/crunchyroll/6f1b2ff6bcfd55ab2fbf1e0dfe908a2d.jpeg",
              },
              {
                width: 640,
                height: 360,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/640x360/catalog/crunchyroll/6f1b2ff6bcfd55ab2fbf1e0dfe908a2d.jpeg",
              },
              {
                width: 800,
                height: 450,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/800x450/catalog/crunchyroll/6f1b2ff6bcfd55ab2fbf1e0dfe908a2d.jpeg",
              },
              {
                width: 1200,
                height: 675,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1200x675/catalog/crunchyroll/6f1b2ff6bcfd55ab2fbf1e0dfe908a2d.jpeg",
              },
              {
                width: 1440,
                height: 810,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1440x810/catalog/crunchyroll/6f1b2ff6bcfd55ab2fbf1e0dfe908a2d.jpeg",
              },
              {
                width: 1600,
                height: 900,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1600x900/catalog/crunchyroll/6f1b2ff6bcfd55ab2fbf1e0dfe908a2d.jpeg",
              },
              {
                width: 1920,
                height: 1080,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1920x1080/catalog/crunchyroll/6f1b2ff6bcfd55ab2fbf1e0dfe908a2d.jpeg",
              },
            ],
          ],
        },
        duration_ms: 1450184,
        is_premium_only: false,
        listing_id: "",
        subtitle_locales: [],
        playback:
          "https://pl.crunchyroll.com/asset/9ce1ab74e7836dac5a61840082c0a15d/v/b6dc7c95e4d6da82dbe2c3ddb7e7f0b8/languages/en-US",
        availability_notes: "",
      },
      {
        __class__: "episode",
        __href__: "/cms/v2/FR/M3/crunchyroll/episodes/G679X075Y",
        __resource_key__: "cms:/episodes/G679X075Y",
        __links__: {
          "episode/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "episode/next_episode": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes/G6MEJ7D3R",
          },
          "episode/season": {
            href: "/cms/v2/FR/M3/crunchyroll/seasons/G6VD5VM46",
          },
          "episode/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GRZXQJJ8Y",
          },
          streams: {
            href: "/cms/v2/FR/M3/crunchyroll/videos/GEMFZ580M/streams",
          },
        },
        __actions__: {},
        id: "G679X075Y",
        channel_id: "crunchyroll",
        series_id: "GRZXQJJ8Y",
        series_title: "The Ancient Magus' Bride",
        series_slug_title: "the-ancient-magus-bride",
        season_id: "G6VD5VM46",
        season_title: "The Ancient Magus' Bride (English Dub)",
        season_slug_title: "the-ancient-magus-bride-english-dub",
        season_number: 1,
        episode: "9",
        episode_number: 9,
        sequence_number: 9,
        production_episode_id: "",
        title: "None so deaf as those who will not hear",
        slug_title: "none-so-deaf-as-those-who-will-not-hear",
        description:
          "With the church's requests fulfilled, things were supposed to go back to normal. But Elias has been acting strange since the last request: he'd vanished on the first morning after Chise had spent a night in his room. Neither Angelica's kind words nor Ruth's pure words are enough to put Chise's mind to rest.",
        next_episode_id: "G6MEJ7D3R",
        next_episode_title: "We live and learn",
        hd_flag: true,
        maturity_ratings: ["TV-14"],
        extended_maturity_rating: {},
        is_mature: false,
        mature_blocked: false,
        episode_air_date: "2017-12-03T01:30:00+09:00",
        available_date: null,
        free_available_date: "2020-01-30T23:00:00Z",
        premium_date: null,
        premium_available_date: "2020-01-30T23:00:00Z",
        is_subbed: false,
        is_dubbed: true,
        is_clip: false,
        seo_title: "",
        seo_description: "",
        season_tags: [],
        available_offline: true,
        media_type: "episode",
        slug: "",
        images: {
          thumbnail: [
            [
              {
                width: 320,
                height: 180,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/320x180/catalog/crunchyroll/5bd488d13fbce75c185c10e7768abfe4.jpeg",
              },
              {
                width: 600,
                height: 338,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/600x338/catalog/crunchyroll/5bd488d13fbce75c185c10e7768abfe4.jpeg",
              },
              {
                width: 640,
                height: 360,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/640x360/catalog/crunchyroll/5bd488d13fbce75c185c10e7768abfe4.jpeg",
              },
              {
                width: 800,
                height: 450,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/800x450/catalog/crunchyroll/5bd488d13fbce75c185c10e7768abfe4.jpeg",
              },
              {
                width: 1200,
                height: 675,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1200x675/catalog/crunchyroll/5bd488d13fbce75c185c10e7768abfe4.jpeg",
              },
              {
                width: 1440,
                height: 810,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1440x810/catalog/crunchyroll/5bd488d13fbce75c185c10e7768abfe4.jpeg",
              },
              {
                width: 1600,
                height: 900,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1600x900/catalog/crunchyroll/5bd488d13fbce75c185c10e7768abfe4.jpeg",
              },
              {
                width: 1920,
                height: 1080,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1920x1080/catalog/crunchyroll/5bd488d13fbce75c185c10e7768abfe4.jpeg",
              },
            ],
          ],
        },
        duration_ms: 1450056,
        is_premium_only: false,
        listing_id: "",
        subtitle_locales: [],
        playback:
          "https://pl.crunchyroll.com/asset/1002a583f5063b625b06566fa887e214/v/b3db6af2f93070d6ecb83e5def6e2b4f/languages/en-US",
        availability_notes: "",
      },
      {
        __class__: "episode",
        __href__: "/cms/v2/FR/M3/crunchyroll/episodes/G6MEJ7D3R",
        __resource_key__: "cms:/episodes/G6MEJ7D3R",
        __links__: {
          "episode/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "episode/next_episode": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes/G63K0Q7Z6",
          },
          "episode/season": {
            href: "/cms/v2/FR/M3/crunchyroll/seasons/G6VD5VM46",
          },
          "episode/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GRZXQJJ8Y",
          },
          streams: {
            href: "/cms/v2/FR/M3/crunchyroll/videos/G3WFXM7JV/streams",
          },
        },
        __actions__: {},
        id: "G6MEJ7D3R",
        channel_id: "crunchyroll",
        series_id: "GRZXQJJ8Y",
        series_title: "The Ancient Magus' Bride",
        series_slug_title: "the-ancient-magus-bride",
        season_id: "G6VD5VM46",
        season_title: "The Ancient Magus' Bride (English Dub)",
        season_slug_title: "the-ancient-magus-bride-english-dub",
        season_number: 1,
        episode: "10",
        episode_number: 10,
        sequence_number: 10,
        production_episode_id: "",
        title: "We live and learn",
        slug_title: "we-live-and-learn",
        description:
          "Chise and Selkie climb aboard a dragon's back to meet Lindel, to have her own mage's staff made. Frustrated by Chise's acceptance of her being kept as a pet by Elias, he describes the time he found Elias in the darkness. Meanwhile, Elias, who had stayed at home by himself, receives a letter from a sorcerer's college.",
        next_episode_id: "G63K0Q7Z6",
        next_episode_title: "Lovers ever run before the clock",
        hd_flag: true,
        maturity_ratings: ["TV-14"],
        extended_maturity_rating: {},
        is_mature: false,
        mature_blocked: false,
        episode_air_date: "2017-12-10T01:30:00+09:00",
        available_date: null,
        free_available_date: "2020-01-30T23:00:00Z",
        premium_date: null,
        premium_available_date: "2020-01-30T23:00:00Z",
        is_subbed: false,
        is_dubbed: true,
        is_clip: false,
        seo_title: "",
        seo_description: "",
        season_tags: [],
        available_offline: true,
        media_type: "episode",
        slug: "",
        images: {
          thumbnail: [
            [
              {
                width: 320,
                height: 180,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/320x180/catalog/crunchyroll/b2d245c7c3a43b76374cd2dc8ab73bbc.jpeg",
              },
              {
                width: 600,
                height: 338,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/600x338/catalog/crunchyroll/b2d245c7c3a43b76374cd2dc8ab73bbc.jpeg",
              },
              {
                width: 640,
                height: 360,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/640x360/catalog/crunchyroll/b2d245c7c3a43b76374cd2dc8ab73bbc.jpeg",
              },
              {
                width: 800,
                height: 450,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/800x450/catalog/crunchyroll/b2d245c7c3a43b76374cd2dc8ab73bbc.jpeg",
              },
              {
                width: 1200,
                height: 675,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1200x675/catalog/crunchyroll/b2d245c7c3a43b76374cd2dc8ab73bbc.jpeg",
              },
              {
                width: 1440,
                height: 810,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1440x810/catalog/crunchyroll/b2d245c7c3a43b76374cd2dc8ab73bbc.jpeg",
              },
              {
                width: 1600,
                height: 900,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1600x900/catalog/crunchyroll/b2d245c7c3a43b76374cd2dc8ab73bbc.jpeg",
              },
              {
                width: 1920,
                height: 1080,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1920x1080/catalog/crunchyroll/b2d245c7c3a43b76374cd2dc8ab73bbc.jpeg",
              },
            ],
          ],
        },
        duration_ms: 1450141,
        is_premium_only: false,
        listing_id: "",
        subtitle_locales: [],
        playback:
          "https://pl.crunchyroll.com/asset/06a8520c6da4de910469df44c2f1deb6/v/b3bdd613a2207a44f8b0991a706342f1/languages/en-US",
        availability_notes: "",
      },
      {
        __class__: "episode",
        __href__: "/cms/v2/FR/M3/crunchyroll/episodes/G63K0Q7Z6",
        __resource_key__: "cms:/episodes/G63K0Q7Z6",
        __links__: {
          "episode/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "episode/next_episode": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes/GR24G8196",
          },
          "episode/season": {
            href: "/cms/v2/FR/M3/crunchyroll/seasons/G6VD5VM46",
          },
          "episode/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GRZXQJJ8Y",
          },
          streams: {
            href: "/cms/v2/FR/M3/crunchyroll/videos/GPPFKW02M/streams",
          },
        },
        __actions__: {},
        id: "G63K0Q7Z6",
        channel_id: "crunchyroll",
        series_id: "GRZXQJJ8Y",
        series_title: "The Ancient Magus' Bride",
        series_slug_title: "the-ancient-magus-bride",
        season_id: "G6VD5VM46",
        season_title: "The Ancient Magus' Bride (English Dub)",
        season_slug_title: "the-ancient-magus-bride-english-dub",
        season_number: 1,
        episode: "11",
        episode_number: 11,
        sequence_number: 11,
        production_episode_id: "",
        title: "Lovers ever run before the clock",
        slug_title: "lovers-ever-run-before-the-clock",
        description:
          "\"Elias, is an odd failure who pretends to be human -- but is it because of his master's words, or because of his distrust for humans, that he stopped communicating about himself?\r\nLindel's alias, Echoes, refers to the to a song aking to the sound of snowmelt, traveling through the wind, causing the blooming of flowers and the dancing of fairies. The magic of the song turns into a mirror the surface of the water Chise peers into. What does she see beyond the mirror?\"",
        next_episode_id: "GR24G8196",
        next_episode_title: "Better to ask the way than go astray",
        hd_flag: true,
        maturity_ratings: ["TV-14"],
        extended_maturity_rating: {},
        is_mature: false,
        mature_blocked: false,
        episode_air_date: "2017-12-17T01:30:00+09:00",
        available_date: null,
        free_available_date: "2020-01-30T23:00:00Z",
        premium_date: null,
        premium_available_date: "2020-01-30T23:00:00Z",
        is_subbed: false,
        is_dubbed: true,
        is_clip: false,
        seo_title: "",
        seo_description: "",
        season_tags: [],
        available_offline: true,
        media_type: "episode",
        slug: "",
        images: {
          thumbnail: [
            [
              {
                width: 320,
                height: 180,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/320x180/catalog/crunchyroll/1de4740402cae8122b5e20fec6287af3.jpeg",
              },
              {
                width: 600,
                height: 338,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/600x338/catalog/crunchyroll/1de4740402cae8122b5e20fec6287af3.jpeg",
              },
              {
                width: 640,
                height: 360,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/640x360/catalog/crunchyroll/1de4740402cae8122b5e20fec6287af3.jpeg",
              },
              {
                width: 800,
                height: 450,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/800x450/catalog/crunchyroll/1de4740402cae8122b5e20fec6287af3.jpeg",
              },
              {
                width: 1200,
                height: 675,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1200x675/catalog/crunchyroll/1de4740402cae8122b5e20fec6287af3.jpeg",
              },
              {
                width: 1440,
                height: 810,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1440x810/catalog/crunchyroll/1de4740402cae8122b5e20fec6287af3.jpeg",
              },
              {
                width: 1600,
                height: 900,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1600x900/catalog/crunchyroll/1de4740402cae8122b5e20fec6287af3.jpeg",
              },
              {
                width: 1920,
                height: 1080,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1920x1080/catalog/crunchyroll/1de4740402cae8122b5e20fec6287af3.jpeg",
              },
            ],
          ],
        },
        duration_ms: 1450099,
        is_premium_only: false,
        listing_id: "",
        subtitle_locales: [],
        playback:
          "https://pl.crunchyroll.com/asset/efd2e0c28d7340e32a3c20b6c9e3fb96/v/b33795606def59988a467476749bf6c7/languages/en-US",
        availability_notes: "",
      },
      {
        __class__: "episode",
        __href__: "/cms/v2/FR/M3/crunchyroll/episodes/GR24G8196",
        __resource_key__: "cms:/episodes/GR24G8196",
        __links__: {
          "episode/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "episode/next_episode": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes/GRZJE82M6",
          },
          "episode/season": {
            href: "/cms/v2/FR/M3/crunchyroll/seasons/G6VD5VM46",
          },
          "episode/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GRZXQJJ8Y",
          },
          streams: {
            href: "/cms/v2/FR/M3/crunchyroll/videos/G8MFN92QK/streams",
          },
        },
        __actions__: {},
        id: "GR24G8196",
        channel_id: "crunchyroll",
        series_id: "GRZXQJJ8Y",
        series_title: "The Ancient Magus' Bride",
        series_slug_title: "the-ancient-magus-bride",
        season_id: "G6VD5VM46",
        season_title: "The Ancient Magus' Bride (English Dub)",
        season_slug_title: "the-ancient-magus-bride-english-dub",
        season_number: 1,
        episode: "12",
        episode_number: 12,
        sequence_number: 12,
        production_episode_id: "",
        title: "Better to ask the way than go astray",
        slug_title: "better-to-ask-the-way-than-go-astray",
        description:
          "Lindel finishes the staff that Chise had finished carving. As she finishes, she meets an old friend, who offers her some wise advice.",
        next_episode_id: "GRZJE82M6",
        next_episode_title: "East, west, home's best.",
        hd_flag: true,
        maturity_ratings: ["TV-14"],
        extended_maturity_rating: {},
        is_mature: false,
        mature_blocked: false,
        episode_air_date: "2017-12-24T01:30:00+09:00",
        available_date: null,
        free_available_date: "2020-01-30T23:00:00Z",
        premium_date: null,
        premium_available_date: "2020-01-30T23:00:00Z",
        is_subbed: false,
        is_dubbed: true,
        is_clip: false,
        seo_title: "",
        seo_description: "",
        season_tags: [],
        available_offline: true,
        media_type: "episode",
        slug: "",
        images: {
          thumbnail: [
            [
              {
                width: 320,
                height: 180,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/320x180/catalog/crunchyroll/8f15c56b53571c54385a68cd1ac349f4.jpeg",
              },
              {
                width: 600,
                height: 338,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/600x338/catalog/crunchyroll/8f15c56b53571c54385a68cd1ac349f4.jpeg",
              },
              {
                width: 640,
                height: 360,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/640x360/catalog/crunchyroll/8f15c56b53571c54385a68cd1ac349f4.jpeg",
              },
              {
                width: 800,
                height: 450,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/800x450/catalog/crunchyroll/8f15c56b53571c54385a68cd1ac349f4.jpeg",
              },
              {
                width: 1200,
                height: 675,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1200x675/catalog/crunchyroll/8f15c56b53571c54385a68cd1ac349f4.jpeg",
              },
              {
                width: 1440,
                height: 810,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1440x810/catalog/crunchyroll/8f15c56b53571c54385a68cd1ac349f4.jpeg",
              },
              {
                width: 1600,
                height: 900,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1600x900/catalog/crunchyroll/8f15c56b53571c54385a68cd1ac349f4.jpeg",
              },
              {
                width: 1920,
                height: 1080,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1920x1080/catalog/crunchyroll/8f15c56b53571c54385a68cd1ac349f4.jpeg",
              },
            ],
          ],
        },
        duration_ms: 1455176,
        is_premium_only: false,
        listing_id: "",
        subtitle_locales: [],
        playback:
          "https://pl.crunchyroll.com/asset/30b8ba5e013c2d4b5932d7f3babbddec/v/e8b62e88b0fa558983b24543d3bb6b5d/languages/en-US",
        availability_notes: "",
      },
      {
        __class__: "episode",
        __href__: "/cms/v2/FR/M3/crunchyroll/episodes/GRZJE82M6",
        __resource_key__: "cms:/episodes/GRZJE82M6",
        __links__: {
          "episode/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "episode/next_episode": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes/G6QWD1K76",
          },
          "episode/season": {
            href: "/cms/v2/FR/M3/crunchyroll/seasons/G6VD5VM46",
          },
          "episode/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GRZXQJJ8Y",
          },
          streams: {
            href: "/cms/v2/FR/M3/crunchyroll/videos/GDVFV420N/streams",
          },
        },
        __actions__: {},
        id: "GRZJE82M6",
        channel_id: "crunchyroll",
        series_id: "GRZXQJJ8Y",
        series_title: "The Ancient Magus' Bride",
        series_slug_title: "the-ancient-magus-bride",
        season_id: "G6VD5VM46",
        season_title: "The Ancient Magus' Bride (English Dub)",
        season_slug_title: "the-ancient-magus-bride-english-dub",
        season_number: 1,
        episode: "13",
        episode_number: 13,
        sequence_number: 13,
        production_episode_id: "",
        title: "East, west, home's best.",
        slug_title: "east-west-homes-best",
        description:
          "Chise is attacked by yukimushi, briefly making her dangerously ill. She and Elias discuss the nature of their relationship.",
        next_episode_id: "G6QWD1K76",
        next_episode_title: "Looks breed love.",
        hd_flag: true,
        maturity_ratings: ["TV-14"],
        extended_maturity_rating: {},
        is_mature: false,
        mature_blocked: false,
        episode_air_date: "2018-01-07T01:30:00+09:00",
        available_date: null,
        free_available_date: "2020-01-30T23:00:00Z",
        premium_date: null,
        premium_available_date: "2020-01-30T23:00:00Z",
        is_subbed: false,
        is_dubbed: true,
        is_clip: false,
        seo_title: "",
        seo_description: "",
        season_tags: [],
        available_offline: true,
        media_type: "episode",
        slug: "",
        images: {
          thumbnail: [
            [
              {
                width: 320,
                height: 180,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/320x180/catalog/crunchyroll/52470dc6b0791b671c006b6562fdd397.jpeg",
              },
              {
                width: 600,
                height: 338,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/600x338/catalog/crunchyroll/52470dc6b0791b671c006b6562fdd397.jpeg",
              },
              {
                width: 640,
                height: 360,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/640x360/catalog/crunchyroll/52470dc6b0791b671c006b6562fdd397.jpeg",
              },
              {
                width: 800,
                height: 450,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/800x450/catalog/crunchyroll/52470dc6b0791b671c006b6562fdd397.jpeg",
              },
              {
                width: 1200,
                height: 675,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1200x675/catalog/crunchyroll/52470dc6b0791b671c006b6562fdd397.jpeg",
              },
              {
                width: 1440,
                height: 810,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1440x810/catalog/crunchyroll/52470dc6b0791b671c006b6562fdd397.jpeg",
              },
              {
                width: 1600,
                height: 900,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1600x900/catalog/crunchyroll/52470dc6b0791b671c006b6562fdd397.jpeg",
              },
              {
                width: 1920,
                height: 1080,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1920x1080/catalog/crunchyroll/52470dc6b0791b671c006b6562fdd397.jpeg",
              },
            ],
          ],
        },
        duration_ms: 1450141,
        is_premium_only: false,
        listing_id: "",
        subtitle_locales: [],
        playback:
          "https://pl.crunchyroll.com/asset/9f8d0fbf9c93f349579331dcd3ee3836/v/70886cff0e407f0e47fdc2343023036c/languages/en-US",
        availability_notes: "",
      },
      {
        __class__: "episode",
        __href__: "/cms/v2/FR/M3/crunchyroll/episodes/G6QWD1K76",
        __resource_key__: "cms:/episodes/G6QWD1K76",
        __links__: {
          "episode/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "episode/next_episode": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes/GYW4W3Z36",
          },
          "episode/season": {
            href: "/cms/v2/FR/M3/crunchyroll/seasons/G6VD5VM46",
          },
          "episode/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GRZXQJJ8Y",
          },
          streams: {
            href: "/cms/v2/FR/M3/crunchyroll/videos/G5JFZJE34/streams",
          },
        },
        __actions__: {},
        id: "G6QWD1K76",
        channel_id: "crunchyroll",
        series_id: "GRZXQJJ8Y",
        series_title: "The Ancient Magus' Bride",
        series_slug_title: "the-ancient-magus-bride",
        season_id: "G6VD5VM46",
        season_title: "The Ancient Magus' Bride (English Dub)",
        season_slug_title: "the-ancient-magus-bride-english-dub",
        season_number: 1,
        episode: "14",
        episode_number: 14,
        sequence_number: 14,
        production_episode_id: "",
        title: "Looks breed love.",
        slug_title: "looks-breed-love",
        description:
          "The Leannán Sídhe begs Chise for her help: Joel is on his death bed, and she can only seem to make things worse. Chise vows to do what she can to turn that around.",
        next_episode_id: "GYW4W3Z36",
        next_episode_title: "There is no place like home",
        hd_flag: true,
        maturity_ratings: ["TV-14"],
        extended_maturity_rating: {},
        is_mature: false,
        mature_blocked: false,
        episode_air_date: "2018-01-14T01:30:00+09:00",
        available_date: null,
        free_available_date: "2020-01-30T23:00:00Z",
        premium_date: null,
        premium_available_date: "2020-01-30T23:00:00Z",
        is_subbed: false,
        is_dubbed: true,
        is_clip: false,
        seo_title: "",
        seo_description: "",
        season_tags: [],
        available_offline: true,
        media_type: "episode",
        slug: "",
        images: {
          thumbnail: [
            [
              {
                width: 320,
                height: 180,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/320x180/catalog/crunchyroll/825277daebbf12df5478488b66b3bfb9.jpeg",
              },
              {
                width: 600,
                height: 338,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/600x338/catalog/crunchyroll/825277daebbf12df5478488b66b3bfb9.jpeg",
              },
              {
                width: 640,
                height: 360,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/640x360/catalog/crunchyroll/825277daebbf12df5478488b66b3bfb9.jpeg",
              },
              {
                width: 800,
                height: 450,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/800x450/catalog/crunchyroll/825277daebbf12df5478488b66b3bfb9.jpeg",
              },
              {
                width: 1200,
                height: 675,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1200x675/catalog/crunchyroll/825277daebbf12df5478488b66b3bfb9.jpeg",
              },
              {
                width: 1440,
                height: 810,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1440x810/catalog/crunchyroll/825277daebbf12df5478488b66b3bfb9.jpeg",
              },
              {
                width: 1600,
                height: 900,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1600x900/catalog/crunchyroll/825277daebbf12df5478488b66b3bfb9.jpeg",
              },
              {
                width: 1920,
                height: 1080,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1920x1080/catalog/crunchyroll/825277daebbf12df5478488b66b3bfb9.jpeg",
              },
            ],
          ],
        },
        duration_ms: 1450056,
        is_premium_only: false,
        listing_id: "",
        subtitle_locales: [],
        playback:
          "https://pl.crunchyroll.com/asset/259627983bce0b2baebfc148a061cd39/v/f76d0adbd0a948995541af9e4786facb/languages/en-US",
        availability_notes: "",
      },
      {
        __class__: "episode",
        __href__: "/cms/v2/FR/M3/crunchyroll/episodes/GYW4W3Z36",
        __resource_key__: "cms:/episodes/GYW4W3Z36",
        __links__: {
          "episode/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "episode/next_episode": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes/GR0X5PGVY",
          },
          "episode/season": {
            href: "/cms/v2/FR/M3/crunchyroll/seasons/G6VD5VM46",
          },
          "episode/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GRZXQJJ8Y",
          },
          streams: {
            href: "/cms/v2/FR/M3/crunchyroll/videos/GGVF27DP3/streams",
          },
        },
        __actions__: {},
        id: "GYW4W3Z36",
        channel_id: "crunchyroll",
        series_id: "GRZXQJJ8Y",
        series_title: "The Ancient Magus' Bride",
        series_slug_title: "the-ancient-magus-bride",
        season_id: "G6VD5VM46",
        season_title: "The Ancient Magus' Bride (English Dub)",
        season_slug_title: "the-ancient-magus-bride-english-dub",
        season_number: 1,
        episode: "15",
        episode_number: 15,
        sequence_number: 15,
        production_episode_id: "",
        title: "There is no place like home",
        slug_title: "there-is-no-place-like-home",
        description:
          "A surge of magic threatens to kill Chise. Elias takes her to the land of fairies for treatment, while Silky is left to take care of their home.",
        next_episode_id: "GR0X5PGVY",
        next_episode_title: "God's mill grinds slow but sure",
        hd_flag: true,
        maturity_ratings: ["TV-14"],
        extended_maturity_rating: {},
        is_mature: false,
        mature_blocked: false,
        episode_air_date: "2018-01-21T01:30:00+09:00",
        available_date: null,
        free_available_date: "2020-01-30T23:00:00Z",
        premium_date: null,
        premium_available_date: "2020-01-30T23:00:00Z",
        is_subbed: false,
        is_dubbed: true,
        is_clip: false,
        seo_title: "",
        seo_description: "",
        season_tags: [],
        available_offline: true,
        media_type: "episode",
        slug: "",
        images: {
          thumbnail: [
            [
              {
                width: 320,
                height: 180,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/320x180/catalog/crunchyroll/f940631e2a971cf82e7e6d6a099d2feb.jpeg",
              },
              {
                width: 600,
                height: 338,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/600x338/catalog/crunchyroll/f940631e2a971cf82e7e6d6a099d2feb.jpeg",
              },
              {
                width: 640,
                height: 360,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/640x360/catalog/crunchyroll/f940631e2a971cf82e7e6d6a099d2feb.jpeg",
              },
              {
                width: 800,
                height: 450,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/800x450/catalog/crunchyroll/f940631e2a971cf82e7e6d6a099d2feb.jpeg",
              },
              {
                width: 1200,
                height: 675,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1200x675/catalog/crunchyroll/f940631e2a971cf82e7e6d6a099d2feb.jpeg",
              },
              {
                width: 1440,
                height: 810,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1440x810/catalog/crunchyroll/f940631e2a971cf82e7e6d6a099d2feb.jpeg",
              },
              {
                width: 1600,
                height: 900,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1600x900/catalog/crunchyroll/f940631e2a971cf82e7e6d6a099d2feb.jpeg",
              },
              {
                width: 1920,
                height: 1080,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1920x1080/catalog/crunchyroll/f940631e2a971cf82e7e6d6a099d2feb.jpeg",
              },
            ],
          ],
        },
        duration_ms: 1449928,
        is_premium_only: false,
        listing_id: "",
        subtitle_locales: [],
        playback:
          "https://pl.crunchyroll.com/asset/e5db4e36c320687fc419585c427dfca8/v/774c4dba16262f3e21190c5d94d57749/languages/en-US",
        availability_notes: "",
      },
      {
        __class__: "episode",
        __href__: "/cms/v2/FR/M3/crunchyroll/episodes/GR0X5PGVY",
        __resource_key__: "cms:/episodes/GR0X5PGVY",
        __links__: {
          "episode/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "episode/next_episode": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes/GR1XW201R",
          },
          "episode/season": {
            href: "/cms/v2/FR/M3/crunchyroll/seasons/G6VD5VM46",
          },
          "episode/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GRZXQJJ8Y",
          },
          streams: {
            href: "/cms/v2/FR/M3/crunchyroll/videos/GEMFZ58VM/streams",
          },
        },
        __actions__: {},
        id: "GR0X5PGVY",
        channel_id: "crunchyroll",
        series_id: "GRZXQJJ8Y",
        series_title: "The Ancient Magus' Bride",
        series_slug_title: "the-ancient-magus-bride",
        season_id: "G6VD5VM46",
        season_title: "The Ancient Magus' Bride (English Dub)",
        season_slug_title: "the-ancient-magus-bride-english-dub",
        season_number: 1,
        episode: "16",
        episode_number: 16,
        sequence_number: 16,
        production_episode_id: "",
        title: "God's mill grinds slow but sure",
        slug_title: "gods-mill-grinds-slow-but-sure",
        description:
          "Christmas is coming up. Alice invites Chise out to London, where they hang out together and go gift shopping for Renfred and Elias.",
        next_episode_id: "GR1XW201R",
        next_episode_title: "Look before you leap",
        hd_flag: true,
        maturity_ratings: ["TV-14"],
        extended_maturity_rating: {},
        is_mature: false,
        mature_blocked: false,
        episode_air_date: "2018-01-28T01:30:00+09:00",
        available_date: null,
        free_available_date: "2020-01-30T23:00:00Z",
        premium_date: null,
        premium_available_date: "2020-01-30T23:00:00Z",
        is_subbed: false,
        is_dubbed: true,
        is_clip: false,
        seo_title: "",
        seo_description: "",
        season_tags: [],
        available_offline: true,
        media_type: "episode",
        slug: "",
        images: {
          thumbnail: [
            [
              {
                width: 320,
                height: 180,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/320x180/catalog/crunchyroll/e7063b8e03752ccbb11f5b8701a2cf90.jpeg",
              },
              {
                width: 600,
                height: 338,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/600x338/catalog/crunchyroll/e7063b8e03752ccbb11f5b8701a2cf90.jpeg",
              },
              {
                width: 640,
                height: 360,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/640x360/catalog/crunchyroll/e7063b8e03752ccbb11f5b8701a2cf90.jpeg",
              },
              {
                width: 800,
                height: 450,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/800x450/catalog/crunchyroll/e7063b8e03752ccbb11f5b8701a2cf90.jpeg",
              },
              {
                width: 1200,
                height: 675,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1200x675/catalog/crunchyroll/e7063b8e03752ccbb11f5b8701a2cf90.jpeg",
              },
              {
                width: 1440,
                height: 810,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1440x810/catalog/crunchyroll/e7063b8e03752ccbb11f5b8701a2cf90.jpeg",
              },
              {
                width: 1600,
                height: 900,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1600x900/catalog/crunchyroll/e7063b8e03752ccbb11f5b8701a2cf90.jpeg",
              },
              {
                width: 1920,
                height: 1080,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1920x1080/catalog/crunchyroll/e7063b8e03752ccbb11f5b8701a2cf90.jpeg",
              },
            ],
          ],
        },
        duration_ms: 1450141,
        is_premium_only: false,
        listing_id: "",
        subtitle_locales: [],
        playback:
          "https://pl.crunchyroll.com/asset/516bcf0435c54ccf4826a9f559c378de/v/276b6eb4cdf2d506f770ec57dca3b399/languages/en-US",
        availability_notes: "",
      },
      {
        __class__: "episode",
        __href__: "/cms/v2/FR/M3/crunchyroll/episodes/GR1XW201R",
        __resource_key__: "cms:/episodes/GR1XW201R",
        __links__: {
          "episode/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "episode/next_episode": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes/GR79X0K56",
          },
          "episode/season": {
            href: "/cms/v2/FR/M3/crunchyroll/seasons/G6VD5VM46",
          },
          "episode/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GRZXQJJ8Y",
          },
          streams: {
            href: "/cms/v2/FR/M3/crunchyroll/videos/G9XFEWDV3/streams",
          },
        },
        __actions__: {},
        id: "GR1XW201R",
        channel_id: "crunchyroll",
        series_id: "GRZXQJJ8Y",
        series_title: "The Ancient Magus' Bride",
        series_slug_title: "the-ancient-magus-bride",
        season_id: "G6VD5VM46",
        season_title: "The Ancient Magus' Bride (English Dub)",
        season_slug_title: "the-ancient-magus-bride-english-dub",
        season_number: 1,
        episode: "17",
        episode_number: 17,
        sequence_number: 17,
        production_episode_id: "",
        title: "Look before you leap",
        slug_title: "look-before-you-leap",
        description:
          "Two siblings, Stella and Ethan, get in a fight. They wish for things that they don’t entirely mean, but come to regret dearly, as they become true.",
        next_episode_id: "GR79X0K56",
        next_episode_title: "Forgive and forget",
        hd_flag: true,
        maturity_ratings: ["TV-14"],
        extended_maturity_rating: {},
        is_mature: false,
        mature_blocked: false,
        episode_air_date: "2018-02-04T01:30:00+09:00",
        available_date: null,
        free_available_date: "2020-01-30T23:00:00Z",
        premium_date: null,
        premium_available_date: "2020-01-30T23:00:00Z",
        is_subbed: false,
        is_dubbed: true,
        is_clip: false,
        seo_title: "",
        seo_description: "",
        season_tags: [],
        available_offline: true,
        media_type: "episode",
        slug: "",
        images: {
          thumbnail: [
            [
              {
                width: 320,
                height: 180,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/320x180/catalog/crunchyroll/e31dc9e3bd205ac5dadc34567b1845c8.jpeg",
              },
              {
                width: 600,
                height: 338,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/600x338/catalog/crunchyroll/e31dc9e3bd205ac5dadc34567b1845c8.jpeg",
              },
              {
                width: 640,
                height: 360,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/640x360/catalog/crunchyroll/e31dc9e3bd205ac5dadc34567b1845c8.jpeg",
              },
              {
                width: 800,
                height: 450,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/800x450/catalog/crunchyroll/e31dc9e3bd205ac5dadc34567b1845c8.jpeg",
              },
              {
                width: 1200,
                height: 675,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1200x675/catalog/crunchyroll/e31dc9e3bd205ac5dadc34567b1845c8.jpeg",
              },
              {
                width: 1440,
                height: 810,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1440x810/catalog/crunchyroll/e31dc9e3bd205ac5dadc34567b1845c8.jpeg",
              },
              {
                width: 1600,
                height: 900,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1600x900/catalog/crunchyroll/e31dc9e3bd205ac5dadc34567b1845c8.jpeg",
              },
              {
                width: 1920,
                height: 1080,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1920x1080/catalog/crunchyroll/e31dc9e3bd205ac5dadc34567b1845c8.jpeg",
              },
            ],
          ],
        },
        duration_ms: 1450141,
        is_premium_only: false,
        listing_id: "",
        subtitle_locales: [],
        playback:
          "https://pl.crunchyroll.com/asset/6fe4cee66d6c14cd3318d40559e74f23/v/2b590b15d870bd69db83fbb8faf14713/languages/en-US",
        availability_notes: "",
      },
      {
        __class__: "episode",
        __href__: "/cms/v2/FR/M3/crunchyroll/episodes/GR79X0K56",
        __resource_key__: "cms:/episodes/GR79X0K56",
        __links__: {
          "episode/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "episode/next_episode": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes/G6XJGP3MR",
          },
          "episode/season": {
            href: "/cms/v2/FR/M3/crunchyroll/seasons/G6VD5VM46",
          },
          "episode/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GRZXQJJ8Y",
          },
          streams: {
            href: "/cms/v2/FR/M3/crunchyroll/videos/G4GFQPM41/streams",
          },
        },
        __actions__: {},
        id: "GR79X0K56",
        channel_id: "crunchyroll",
        series_id: "GRZXQJJ8Y",
        series_title: "The Ancient Magus' Bride",
        series_slug_title: "the-ancient-magus-bride",
        season_id: "G6VD5VM46",
        season_title: "The Ancient Magus' Bride (English Dub)",
        season_slug_title: "the-ancient-magus-bride-english-dub",
        season_number: 1,
        episode: "18",
        episode_number: 18,
        sequence_number: 18,
        production_episode_id: "",
        title: "Forgive and forget",
        slug_title: "forgive-and-forget",
        description:
          "Having made friends with Chise, Stella visits the Ainsworths’ home. Meanwhile, Elias’ behavior takes a troubling turn.",
        next_episode_id: "G6XJGP3MR",
        next_episode_title: "Any port in a storm.",
        hd_flag: true,
        maturity_ratings: ["TV-14"],
        extended_maturity_rating: {},
        is_mature: false,
        mature_blocked: false,
        episode_air_date: "2018-02-11T01:30:00+09:00",
        available_date: null,
        free_available_date: "2020-01-30T23:00:00Z",
        premium_date: null,
        premium_available_date: "2020-01-30T23:00:00Z",
        is_subbed: false,
        is_dubbed: true,
        is_clip: false,
        seo_title: "",
        seo_description: "",
        season_tags: [],
        available_offline: true,
        media_type: "episode",
        slug: "",
        images: {
          thumbnail: [
            [
              {
                width: 320,
                height: 180,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/320x180/catalog/crunchyroll/766056cd86cb210652251846fbf07742.jpeg",
              },
              {
                width: 600,
                height: 338,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/600x338/catalog/crunchyroll/766056cd86cb210652251846fbf07742.jpeg",
              },
              {
                width: 640,
                height: 360,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/640x360/catalog/crunchyroll/766056cd86cb210652251846fbf07742.jpeg",
              },
              {
                width: 800,
                height: 450,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/800x450/catalog/crunchyroll/766056cd86cb210652251846fbf07742.jpeg",
              },
              {
                width: 1200,
                height: 675,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1200x675/catalog/crunchyroll/766056cd86cb210652251846fbf07742.jpeg",
              },
              {
                width: 1440,
                height: 810,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1440x810/catalog/crunchyroll/766056cd86cb210652251846fbf07742.jpeg",
              },
              {
                width: 1600,
                height: 900,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1600x900/catalog/crunchyroll/766056cd86cb210652251846fbf07742.jpeg",
              },
              {
                width: 1920,
                height: 1080,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1920x1080/catalog/crunchyroll/766056cd86cb210652251846fbf07742.jpeg",
              },
            ],
          ],
        },
        duration_ms: 1450056,
        is_premium_only: false,
        listing_id: "",
        subtitle_locales: [],
        playback:
          "https://pl.crunchyroll.com/asset/def5324cbd469fc43dcae791dc1ef5a0/v/e915c80cfba25032723ad9fa238c2613/languages/en-US",
        availability_notes: "",
      },
      {
        __class__: "episode",
        __href__: "/cms/v2/FR/M3/crunchyroll/episodes/G6XJGP3MR",
        __resource_key__: "cms:/episodes/G6XJGP3MR",
        __links__: {
          "episode/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "episode/next_episode": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes/GY1XW200Y",
          },
          "episode/season": {
            href: "/cms/v2/FR/M3/crunchyroll/seasons/G6VD5VM46",
          },
          "episode/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GRZXQJJ8Y",
          },
          streams: {
            href: "/cms/v2/FR/M3/crunchyroll/videos/G1QF48XZ1/streams",
          },
        },
        __actions__: {},
        id: "G6XJGP3MR",
        channel_id: "crunchyroll",
        series_id: "GRZXQJJ8Y",
        series_title: "The Ancient Magus' Bride",
        series_slug_title: "the-ancient-magus-bride",
        season_id: "G6VD5VM46",
        season_title: "The Ancient Magus' Bride (English Dub)",
        season_slug_title: "the-ancient-magus-bride-english-dub",
        season_number: 1,
        episode: "19",
        episode_number: 19,
        sequence_number: 19,
        production_episode_id: "",
        title: "Any port in a storm.",
        slug_title: "any-port-in-a-storm",
        description:
          "In a dream, Chise converses with Cartaphilus. It seems that he’s found a solution to his problem – one that involves Chise.",
        next_episode_id: "GY1XW200Y",
        next_episode_title:
          "You can't make an omelet without breaking a few eggs",
        hd_flag: true,
        maturity_ratings: ["TV-14"],
        extended_maturity_rating: {},
        is_mature: false,
        mature_blocked: false,
        episode_air_date: "2018-02-18T01:30:00+09:00",
        available_date: null,
        free_available_date: "2020-01-30T23:00:00Z",
        premium_date: null,
        premium_available_date: "2020-01-30T23:00:00Z",
        is_subbed: false,
        is_dubbed: true,
        is_clip: false,
        seo_title: "",
        seo_description: "",
        season_tags: [],
        available_offline: true,
        media_type: "episode",
        slug: "",
        images: {
          thumbnail: [
            [
              {
                width: 320,
                height: 180,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/320x180/catalog/crunchyroll/632193c0f52ce05fd493cc0e70f9c607.jpeg",
              },
              {
                width: 600,
                height: 338,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/600x338/catalog/crunchyroll/632193c0f52ce05fd493cc0e70f9c607.jpeg",
              },
              {
                width: 640,
                height: 360,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/640x360/catalog/crunchyroll/632193c0f52ce05fd493cc0e70f9c607.jpeg",
              },
              {
                width: 800,
                height: 450,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/800x450/catalog/crunchyroll/632193c0f52ce05fd493cc0e70f9c607.jpeg",
              },
              {
                width: 1200,
                height: 675,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1200x675/catalog/crunchyroll/632193c0f52ce05fd493cc0e70f9c607.jpeg",
              },
              {
                width: 1440,
                height: 810,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1440x810/catalog/crunchyroll/632193c0f52ce05fd493cc0e70f9c607.jpeg",
              },
              {
                width: 1600,
                height: 900,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1600x900/catalog/crunchyroll/632193c0f52ce05fd493cc0e70f9c607.jpeg",
              },
              {
                width: 1920,
                height: 1080,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1920x1080/catalog/crunchyroll/632193c0f52ce05fd493cc0e70f9c607.jpeg",
              },
            ],
          ],
        },
        duration_ms: 1450141,
        is_premium_only: false,
        listing_id: "",
        subtitle_locales: [],
        playback:
          "https://pl.crunchyroll.com/asset/73373494e37a9900b28ab2d74654d669/v/69eafd0948d3d87facf16145a7efe259/languages/en-US",
        availability_notes: "",
      },
      {
        __class__: "episode",
        __href__: "/cms/v2/FR/M3/crunchyroll/episodes/GY1XW200Y",
        __resource_key__: "cms:/episodes/GY1XW200Y",
        __links__: {
          "episode/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "episode/next_episode": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes/GYQWD1QPY",
          },
          "episode/season": {
            href: "/cms/v2/FR/M3/crunchyroll/seasons/G6VD5VM46",
          },
          "episode/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GRZXQJJ8Y",
          },
          streams: {
            href: "/cms/v2/FR/M3/crunchyroll/videos/GNJFD5W8X/streams",
          },
        },
        __actions__: {},
        id: "GY1XW200Y",
        channel_id: "crunchyroll",
        series_id: "GRZXQJJ8Y",
        series_title: "The Ancient Magus' Bride",
        series_slug_title: "the-ancient-magus-bride",
        season_id: "G6VD5VM46",
        season_title: "The Ancient Magus' Bride (English Dub)",
        season_slug_title: "the-ancient-magus-bride-english-dub",
        season_number: 1,
        episode: "20",
        episode_number: 20,
        sequence_number: 20,
        production_episode_id: "",
        title: "You can't make an omelet without breaking a few eggs",
        slug_title: "you-cant-make-an-omelet-without-breaking-a-few-eggs",
        description:
          "Chise falls victim to a dragon’s curse after she attempts to free it as it’s being sold at an auction. She may not have very long left.",
        next_episode_id: "GYQWD1QPY",
        next_episode_title: "Necessity has no law.",
        hd_flag: true,
        maturity_ratings: ["TV-14"],
        extended_maturity_rating: {},
        is_mature: false,
        mature_blocked: false,
        episode_air_date: "2018-02-25T01:30:00+09:00",
        available_date: null,
        free_available_date: "2020-01-30T23:00:00Z",
        premium_date: null,
        premium_available_date: "2020-01-30T23:00:00Z",
        is_subbed: false,
        is_dubbed: true,
        is_clip: false,
        seo_title: "",
        seo_description: "",
        season_tags: [],
        available_offline: true,
        media_type: "episode",
        slug: "",
        images: {
          thumbnail: [
            [
              {
                width: 320,
                height: 180,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/320x180/catalog/crunchyroll/a7ebff0eb9ee58be29fe8fb0f2dcf7f3.jpeg",
              },
              {
                width: 600,
                height: 338,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/600x338/catalog/crunchyroll/a7ebff0eb9ee58be29fe8fb0f2dcf7f3.jpeg",
              },
              {
                width: 640,
                height: 360,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/640x360/catalog/crunchyroll/a7ebff0eb9ee58be29fe8fb0f2dcf7f3.jpeg",
              },
              {
                width: 800,
                height: 450,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/800x450/catalog/crunchyroll/a7ebff0eb9ee58be29fe8fb0f2dcf7f3.jpeg",
              },
              {
                width: 1200,
                height: 675,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1200x675/catalog/crunchyroll/a7ebff0eb9ee58be29fe8fb0f2dcf7f3.jpeg",
              },
              {
                width: 1440,
                height: 810,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1440x810/catalog/crunchyroll/a7ebff0eb9ee58be29fe8fb0f2dcf7f3.jpeg",
              },
              {
                width: 1600,
                height: 900,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1600x900/catalog/crunchyroll/a7ebff0eb9ee58be29fe8fb0f2dcf7f3.jpeg",
              },
              {
                width: 1920,
                height: 1080,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1920x1080/catalog/crunchyroll/a7ebff0eb9ee58be29fe8fb0f2dcf7f3.jpeg",
              },
            ],
          ],
        },
        duration_ms: 1450013,
        is_premium_only: false,
        listing_id: "",
        subtitle_locales: [],
        playback:
          "https://pl.crunchyroll.com/asset/7df81114181bc5b987398c5899a60ae4/v/e219b08e8e225f6bd6668c814fb858a3/languages/en-US",
        availability_notes: "",
      },
      {
        __class__: "episode",
        __href__: "/cms/v2/FR/M3/crunchyroll/episodes/GYQWD1QPY",
        __resource_key__: "cms:/episodes/GYQWD1QPY",
        __links__: {
          "episode/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "episode/next_episode": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes/GRW4W32KY",
          },
          "episode/season": {
            href: "/cms/v2/FR/M3/crunchyroll/seasons/G6VD5VM46",
          },
          "episode/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GRZXQJJ8Y",
          },
          streams: {
            href: "/cms/v2/FR/M3/crunchyroll/videos/GM8FXJ5N3/streams",
          },
        },
        __actions__: {},
        id: "GYQWD1QPY",
        channel_id: "crunchyroll",
        series_id: "GRZXQJJ8Y",
        series_title: "The Ancient Magus' Bride",
        series_slug_title: "the-ancient-magus-bride",
        season_id: "G6VD5VM46",
        season_title: "The Ancient Magus' Bride (English Dub)",
        season_slug_title: "the-ancient-magus-bride-english-dub",
        season_number: 1,
        episode: "21",
        episode_number: 21,
        sequence_number: 21,
        production_episode_id: "",
        title: "Necessity has no law.",
        slug_title: "necessity-has-no-law",
        description:
          "Elias and Chise attend a meeting of witches to try to enlist their help. Elias, desperate to help Chise, makes some questionable decisions.",
        next_episode_id: "GRW4W32KY",
        next_episode_title: "As you sow, so shall you reap.",
        hd_flag: true,
        maturity_ratings: ["TV-14"],
        extended_maturity_rating: {},
        is_mature: false,
        mature_blocked: false,
        episode_air_date: "2018-03-04T01:30:00+09:00",
        available_date: null,
        free_available_date: "2020-01-30T23:00:00Z",
        premium_date: null,
        premium_available_date: "2020-01-30T23:00:00Z",
        is_subbed: false,
        is_dubbed: true,
        is_clip: false,
        seo_title: "",
        seo_description: "",
        season_tags: [],
        available_offline: true,
        media_type: "episode",
        slug: "",
        images: {
          thumbnail: [
            [
              {
                width: 320,
                height: 180,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/320x180/catalog/crunchyroll/cc96362eb7f39414fb7c296be783fb26.jpeg",
              },
              {
                width: 600,
                height: 338,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/600x338/catalog/crunchyroll/cc96362eb7f39414fb7c296be783fb26.jpeg",
              },
              {
                width: 640,
                height: 360,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/640x360/catalog/crunchyroll/cc96362eb7f39414fb7c296be783fb26.jpeg",
              },
              {
                width: 800,
                height: 450,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/800x450/catalog/crunchyroll/cc96362eb7f39414fb7c296be783fb26.jpeg",
              },
              {
                width: 1200,
                height: 675,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1200x675/catalog/crunchyroll/cc96362eb7f39414fb7c296be783fb26.jpeg",
              },
              {
                width: 1440,
                height: 810,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1440x810/catalog/crunchyroll/cc96362eb7f39414fb7c296be783fb26.jpeg",
              },
              {
                width: 1600,
                height: 900,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1600x900/catalog/crunchyroll/cc96362eb7f39414fb7c296be783fb26.jpeg",
              },
              {
                width: 1920,
                height: 1080,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1920x1080/catalog/crunchyroll/cc96362eb7f39414fb7c296be783fb26.jpeg",
              },
            ],
          ],
        },
        duration_ms: 1450099,
        is_premium_only: false,
        listing_id: "",
        subtitle_locales: [],
        playback:
          "https://pl.crunchyroll.com/asset/a53755e4bfcea1c75617dfb258a1f188/v/6de10c3d4e46fbaf9d6a64f0799c2a59/languages/en-US",
        availability_notes: "",
      },
      {
        __class__: "episode",
        __href__: "/cms/v2/FR/M3/crunchyroll/episodes/GRW4W32KY",
        __resource_key__: "cms:/episodes/GRW4W32KY",
        __links__: {
          "episode/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "episode/next_episode": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes/G60X5PG2R",
          },
          "episode/season": {
            href: "/cms/v2/FR/M3/crunchyroll/seasons/G6VD5VM46",
          },
          "episode/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GRZXQJJ8Y",
          },
          streams: {
            href: "/cms/v2/FR/M3/crunchyroll/videos/G3WFXM75V/streams",
          },
        },
        __actions__: {},
        id: "GRW4W32KY",
        channel_id: "crunchyroll",
        series_id: "GRZXQJJ8Y",
        series_title: "The Ancient Magus' Bride",
        series_slug_title: "the-ancient-magus-bride",
        season_id: "G6VD5VM46",
        season_title: "The Ancient Magus' Bride (English Dub)",
        season_slug_title: "the-ancient-magus-bride-english-dub",
        season_number: 1,
        episode: "22",
        episode_number: 22,
        sequence_number: 22,
        production_episode_id: "",
        title: "As you sow, so shall you reap.",
        slug_title: "as-you-sow-so-shall-you-reap",
        description:
          "Having captured Chise, Cartaphilus begins grafting parts of her onto himself. He forces her to relive some of her worst memories.",
        next_episode_id: "G60X5PG2R",
        next_episode_title: "Nothing seek, nothing find.",
        hd_flag: true,
        maturity_ratings: ["TV-14"],
        extended_maturity_rating: {},
        is_mature: false,
        mature_blocked: false,
        episode_air_date: "2018-03-11T01:30:00+09:00",
        available_date: null,
        free_available_date: "2020-01-30T23:00:00Z",
        premium_date: null,
        premium_available_date: "2020-01-30T23:00:00Z",
        is_subbed: false,
        is_dubbed: true,
        is_clip: false,
        seo_title: "",
        seo_description: "",
        season_tags: [],
        available_offline: true,
        media_type: "episode",
        slug: "",
        images: {
          thumbnail: [
            [
              {
                width: 320,
                height: 180,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/320x180/catalog/crunchyroll/6034a0207f157a3aa99ee123275ccf69.jpeg",
              },
              {
                width: 600,
                height: 338,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/600x338/catalog/crunchyroll/6034a0207f157a3aa99ee123275ccf69.jpeg",
              },
              {
                width: 640,
                height: 360,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/640x360/catalog/crunchyroll/6034a0207f157a3aa99ee123275ccf69.jpeg",
              },
              {
                width: 800,
                height: 450,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/800x450/catalog/crunchyroll/6034a0207f157a3aa99ee123275ccf69.jpeg",
              },
              {
                width: 1200,
                height: 675,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1200x675/catalog/crunchyroll/6034a0207f157a3aa99ee123275ccf69.jpeg",
              },
              {
                width: 1440,
                height: 810,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1440x810/catalog/crunchyroll/6034a0207f157a3aa99ee123275ccf69.jpeg",
              },
              {
                width: 1600,
                height: 900,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1600x900/catalog/crunchyroll/6034a0207f157a3aa99ee123275ccf69.jpeg",
              },
              {
                width: 1920,
                height: 1080,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1920x1080/catalog/crunchyroll/6034a0207f157a3aa99ee123275ccf69.jpeg",
              },
            ],
          ],
        },
        duration_ms: 1450141,
        is_premium_only: false,
        listing_id: "",
        subtitle_locales: ["en-US"],
        playback:
          "https://pl.crunchyroll.com/asset/a5d58092039dbdbda3dba474112d2809/v/558366e369ab750a482518fb4c4f0ea0/languages/en-US",
        availability_notes: "",
      },
      {
        __class__: "episode",
        __href__: "/cms/v2/FR/M3/crunchyroll/episodes/G60X5PG2R",
        __resource_key__: "cms:/episodes/G60X5PG2R",
        __links__: {
          "episode/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "episode/next_episode": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes/G679X0KNY",
          },
          "episode/season": {
            href: "/cms/v2/FR/M3/crunchyroll/seasons/G6VD5VM46",
          },
          "episode/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GRZXQJJ8Y",
          },
          streams: {
            href: "/cms/v2/FR/M3/crunchyroll/videos/GEMFZ581V/streams",
          },
        },
        __actions__: {},
        id: "G60X5PG2R",
        channel_id: "crunchyroll",
        series_id: "GRZXQJJ8Y",
        series_title: "The Ancient Magus' Bride",
        series_slug_title: "the-ancient-magus-bride",
        season_id: "G6VD5VM46",
        season_title: "The Ancient Magus' Bride (English Dub)",
        season_slug_title: "the-ancient-magus-bride-english-dub",
        season_number: 1,
        episode: "23",
        episode_number: 23,
        sequence_number: 23,
        production_episode_id: "",
        title: "Nothing seek, nothing find.",
        slug_title: "nothing-seek-nothing-find",
        description:
          "Elias earns the help of many, and they form a search party for Chise. Meanwhile, Chise and Cartaphilus relive his past together.",
        next_episode_id: "G679X0KNY",
        next_episode_title: "Live and let live",
        hd_flag: true,
        maturity_ratings: ["TV-14"],
        extended_maturity_rating: {},
        is_mature: false,
        mature_blocked: false,
        episode_air_date: "2018-03-18T01:30:00+09:00",
        available_date: null,
        free_available_date: "2020-01-30T23:00:00Z",
        premium_date: null,
        premium_available_date: "2020-01-30T23:00:00Z",
        is_subbed: false,
        is_dubbed: true,
        is_clip: false,
        seo_title: "",
        seo_description: "",
        season_tags: [],
        available_offline: true,
        media_type: "episode",
        slug: "",
        images: {
          thumbnail: [
            [
              {
                width: 320,
                height: 180,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/320x180/catalog/crunchyroll/569a590833b86722d320d767a035ed25.jpeg",
              },
              {
                width: 600,
                height: 338,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/600x338/catalog/crunchyroll/569a590833b86722d320d767a035ed25.jpeg",
              },
              {
                width: 640,
                height: 360,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/640x360/catalog/crunchyroll/569a590833b86722d320d767a035ed25.jpeg",
              },
              {
                width: 800,
                height: 450,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/800x450/catalog/crunchyroll/569a590833b86722d320d767a035ed25.jpeg",
              },
              {
                width: 1200,
                height: 675,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1200x675/catalog/crunchyroll/569a590833b86722d320d767a035ed25.jpeg",
              },
              {
                width: 1440,
                height: 810,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1440x810/catalog/crunchyroll/569a590833b86722d320d767a035ed25.jpeg",
              },
              {
                width: 1600,
                height: 900,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1600x900/catalog/crunchyroll/569a590833b86722d320d767a035ed25.jpeg",
              },
              {
                width: 1920,
                height: 1080,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1920x1080/catalog/crunchyroll/569a590833b86722d320d767a035ed25.jpeg",
              },
            ],
          ],
        },
        duration_ms: 1450141,
        is_premium_only: false,
        listing_id: "",
        subtitle_locales: [],
        playback:
          "https://pl.crunchyroll.com/asset/649bb31a7e400473c37e4803db61fd27/v/96ad4271b6dffc1b4438a6d5b0dc4f0f/languages/en-US",
        availability_notes: "",
      },
      {
        __class__: "episode",
        __href__: "/cms/v2/FR/M3/crunchyroll/episodes/G679X0KNY",
        __resource_key__: "cms:/episodes/G679X0KNY",
        __links__: {
          "episode/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          "episode/next_episode": {
            href: "/cms/v2/FR/M3/crunchyroll/episodes/G6KE22846",
          },
          "episode/season": {
            href: "/cms/v2/FR/M3/crunchyroll/seasons/G6VD5VM46",
          },
          "episode/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GRZXQJJ8Y",
          },
          streams: {
            href: "/cms/v2/FR/M3/crunchyroll/videos/G9XFEWDKW/streams",
          },
        },
        __actions__: {},
        id: "G679X0KNY",
        channel_id: "crunchyroll",
        series_id: "GRZXQJJ8Y",
        series_title: "The Ancient Magus' Bride",
        series_slug_title: "the-ancient-magus-bride",
        season_id: "G6VD5VM46",
        season_title: "The Ancient Magus' Bride (English Dub)",
        season_slug_title: "the-ancient-magus-bride-english-dub",
        season_number: 1,
        episode: "24",
        episode_number: 24,
        sequence_number: 24,
        production_episode_id: "",
        title: "Live and let live",
        slug_title: "live-and-let-live",
        description:
          "Cartaphilus and Chise argue over their respective approaches to dealing with their own suffering, beating each other up brutally in the process.",
        next_episode_id: "G6KE22846",
        next_episode_title: "April showers bring May flowers",
        hd_flag: true,
        maturity_ratings: ["TV-14"],
        extended_maturity_rating: {},
        is_mature: false,
        mature_blocked: false,
        episode_air_date: "2018-03-25T01:30:00+09:00",
        available_date: null,
        free_available_date: "2020-01-30T23:00:00Z",
        premium_date: null,
        premium_available_date: "2020-01-30T23:00:00Z",
        is_subbed: false,
        is_dubbed: true,
        is_clip: false,
        seo_title: "",
        seo_description: "",
        season_tags: [],
        available_offline: true,
        media_type: "episode",
        slug: "",
        images: {
          thumbnail: [
            [
              {
                width: 320,
                height: 180,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/320x180/catalog/crunchyroll/33b6c96d14f442c1296dff60b8f7ae00.jpeg",
              },
              {
                width: 600,
                height: 338,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/600x338/catalog/crunchyroll/33b6c96d14f442c1296dff60b8f7ae00.jpeg",
              },
              {
                width: 640,
                height: 360,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/640x360/catalog/crunchyroll/33b6c96d14f442c1296dff60b8f7ae00.jpeg",
              },
              {
                width: 800,
                height: 450,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/800x450/catalog/crunchyroll/33b6c96d14f442c1296dff60b8f7ae00.jpeg",
              },
              {
                width: 1200,
                height: 675,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1200x675/catalog/crunchyroll/33b6c96d14f442c1296dff60b8f7ae00.jpeg",
              },
              {
                width: 1440,
                height: 810,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1440x810/catalog/crunchyroll/33b6c96d14f442c1296dff60b8f7ae00.jpeg",
              },
              {
                width: 1600,
                height: 900,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1600x900/catalog/crunchyroll/33b6c96d14f442c1296dff60b8f7ae00.jpeg",
              },
              {
                width: 1920,
                height: 1080,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1920x1080/catalog/crunchyroll/33b6c96d14f442c1296dff60b8f7ae00.jpeg",
              },
            ],
          ],
        },
        duration_ms: 1450184,
        is_premium_only: false,
        listing_id: "",
        subtitle_locales: [],
        playback:
          "https://pl.crunchyroll.com/asset/c9f29da59e869eec937d7b18eb9a797d/v/1b82f3c31b0269336a03f882d5e8a60e/languages/en-US",
        availability_notes: "",
      },
    ],
  };
});

it("test API episode", () => {
  let collectionPanel: collectionPanel = {
    __class__: "collection",
    __href__: "/cms/v2/FR/M3/crunchyroll/objects/GY3K0QWZY",
    __resource_key__: "cms:/objects/GY3K0QWZY",
    __links__: {},
    __actions__: {},
    total: 1,
    items: [
      {
        __class__: "panel",
        __href__: "",
        __links__: {
          "episode/season": {
            href: "/cms/v2/FR/M3/crunchyroll/seasons/G6VD5VM46",
          },
          "episode/series": {
            href: "/cms/v2/FR/M3/crunchyroll/series/GRZXQJJ8Y",
          },
          resource: { href: "/cms/v2/FR/M3/crunchyroll/episodes/GY3K0QWZY" },
          "resource/channel": {
            href: "/cms/v2/FR/M3/crunchyroll/channels/crunchyroll",
          },
          streams: {
            href: "/cms/v2/FR/M3/crunchyroll/videos/G8MFN925K/streams",
          },
        },
        __actions__: {},
        id: "GY3K0QWZY",
        external_id: "EPI.792909",
        channel_id: "crunchyroll",
        title: "April showers bring May flowers",
        description:
          "Having given up on life, 15-year-old Hatori Chise sells herself at an underground auction, where she is bought by Elias Ainsworth, a not-quite-human mage, for 5 million pounds. She learns that he intends for her to be his future bride, and her world begins to change.",
        promo_title: "",
        promo_description: "",
        type: "episode",
        slug: "",
        slug_title: "april-showers-bring-may-flowers",
        images: {
          thumbnail: [
            [
              {
                width: 320,
                height: 180,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/320x180/catalog/crunchyroll/a1ecb0108f5bb71fae6cbb438f298a1d.jpeg",
              },
              {
                width: 600,
                height: 338,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/600x338/catalog/crunchyroll/a1ecb0108f5bb71fae6cbb438f298a1d.jpeg",
              },
              {
                width: 640,
                height: 360,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/640x360/catalog/crunchyroll/a1ecb0108f5bb71fae6cbb438f298a1d.jpeg",
              },
              {
                width: 800,
                height: 450,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/800x450/catalog/crunchyroll/a1ecb0108f5bb71fae6cbb438f298a1d.jpeg",
              },
              {
                width: 1200,
                height: 675,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1200x675/catalog/crunchyroll/a1ecb0108f5bb71fae6cbb438f298a1d.jpeg",
              },
              {
                width: 1440,
                height: 810,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1440x810/catalog/crunchyroll/a1ecb0108f5bb71fae6cbb438f298a1d.jpeg",
              },
              {
                width: 1600,
                height: 900,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1600x900/catalog/crunchyroll/a1ecb0108f5bb71fae6cbb438f298a1d.jpeg",
              },
              {
                width: 1920,
                height: 1080,
                type: "thumbnail",
                source:
                  "https://beta.crunchyroll.com/imgsrv/display/thumbnail/1920x1080/catalog/crunchyroll/a1ecb0108f5bb71fae6cbb438f298a1d.jpeg",
              },
            ],
          ],
        },
        episode_metadata: {
          series_id: "GRZXQJJ8Y",
          series_title: "The Ancient Magus' Bride",
          series_slug_title: "the-ancient-magus-bride",
          season_id: "G6VD5VM46",
          season_title: "The Ancient Magus' Bride (English Dub)",
          season_slug_title: "the-ancient-magus-bride-english-dub",
          season_number: 1,
          episode_number: 1,
          episode: "1",
          sequence_number: 1,
          duration_ms: 1450056,
          episode_air_date: "2017-10-08T01:30:00+09:00",
          is_premium_only: false,
          extended_maturity_rating: {},
          maturity_ratings: ["TV-14"],
          is_mature: false,
          mature_blocked: false,
          available_date: null,
          free_available_date: "2020-01-30T23:00:00Z",
          premium_date: null,
          premium_available_date: "2020-01-30T23:00:00Z",
          is_subbed: false,
          is_dubbed: true,
          is_clip: false,
          available_offline: true,
          subtitle_locales: ["en-US"],
          availability_notes: "",
        },
        playback:
          "https://pl.crunchyroll.com/asset/389e0008525987125a282e327d4f34d0/v/dbe64c259b22869396d4fcad820b0901/languages/en-US",
        linked_resource_key: "cms:/episodes/GY3K0QWZY",
      },
    ],
  };
});

it("test API video streams", () => {
  let videoStreams: videoStreams = {
    __class__: "video_streams",
    __href__: "/cms/v2/FR/M3/crunchyroll/videos/G3WFX74WK/streams",
    __resource_key__: "cms:/videos/G3WFX74WK/streams",
    __links__: {
      resource: { href: "/cms/v2/FR/M3/crunchyroll/episodes/GK9U38KMV" },
    },
    __actions__: {},
    media_id: "G3WFX74WK",
    audio_locale: "fr-FR",
    subtitles: {
      "fr-FR": {
        locale: "fr-FR",
        url: "https://v.vrv.co/evs3/b0e4fb16b31a993096b9c7aaefe6c6d4/assets/4f471b548715dcf51a99def290fe4ce9_261292.txt",
        format: "ass",
      },
    },
    captions: {},
    streams: {
      adaptive_dash: {
        "": {
          hardsub_locale: "",
          url: "https://pl.crunchyroll.com/evs3/b0e4fb16b31a993096b9c7aaefe6c6d4/assets/4f471b548715dcf51a99def290fe4ce9_,4181459.mp4,4181460.mp4,4181458.mp4,4181456.mp4,4181457.mp4,.urlset/manifest.mpd",
        },
        "fr-FR": {
          hardsub_locale: "fr-FR",
          url: "https://pl.crunchyroll.com/evs3/b0e4fb16b31a993096b9c7aaefe6c6d4/assets/4f471b548715dcf51a99def290fe4ce9_,4184136.mp4,4184137.mp4,4184135.mp4,4184134.mp4,4184133.mp4,.urlset/manifest.mpd",
        },
      },
      adaptive_hls: {
        "": {
          hardsub_locale: "",
          url: "https://pl.crunchyroll.com/evs3/b0e4fb16b31a993096b9c7aaefe6c6d4/assets/4f471b548715dcf51a99def290fe4ce9_,4181459.mp4,4181460.mp4,4181458.mp4,4181456.mp4,4181457.mp4,.urlset/master.m3u8",
        },
        "fr-FR": {
          hardsub_locale: "fr-FR",
          url: "https://pl.crunchyroll.com/evs3/b0e4fb16b31a993096b9c7aaefe6c6d4/assets/4f471b548715dcf51a99def290fe4ce9_,4184136.mp4,4184137.mp4,4184135.mp4,4184134.mp4,4184133.mp4,.urlset/master.m3u8",
        },
      },
      download_dash: {
        "": {
          hardsub_locale: "",
          url: "https://pl.crunchyroll.com/evs3/b0e4fb16b31a993096b9c7aaefe6c6d4/assets/4f471b548715dcf51a99def290fe4ce9_,4181458.mp4,4181459.mp4,4181456.mp4,4181457.mp4,.urlset/manifest.mpd",
        },
      },
      download_hls: {
        "": {
          hardsub_locale: "",
          url: "https://pl.crunchyroll.com/evs3/b0e4fb16b31a993096b9c7aaefe6c6d4/assets/4f471b548715dcf51a99def290fe4ce9_,4181458.mp4,4181459.mp4,4181456.mp4,4181457.mp4,.urlset/master.m3u8",
        },
      },
      drm_adaptive_dash: {
        "": {
          hardsub_locale: "",
          url: "https://pl.crunchyroll.com/evs3/c3000884083f94020cca8f2768a31fae/assets/p/4f471b548715dcf51a99def290fe4ce9_,4181459.mp4,4181460.mp4,4181458.mp4,4181456.mp4,4181457.mp4,.urlset/manifest.mpd",
        },
        "fr-FR": {
          hardsub_locale: "fr-FR",
          url: "https://pl.crunchyroll.com/evs3/c3000884083f94020cca8f2768a31fae/assets/p/4f471b548715dcf51a99def290fe4ce9_,4184136.mp4,4184137.mp4,4184135.mp4,4184134.mp4,4184133.mp4,.urlset/manifest.mpd",
        },
      },
      drm_adaptive_hls: {
        "": {
          hardsub_locale: "",
          url: "https://pl.crunchyroll.com/evs3/c3000884083f94020cca8f2768a31fae/assets/p/4f471b548715dcf51a99def290fe4ce9_,4181459.mp4,4181460.mp4,4181458.mp4,4181456.mp4,4181457.mp4,.urlset/master.m3u8",
        },
        "fr-FR": {
          hardsub_locale: "fr-FR",
          url: "https://pl.crunchyroll.com/evs3/c3000884083f94020cca8f2768a31fae/assets/p/4f471b548715dcf51a99def290fe4ce9_,4184136.mp4,4184137.mp4,4184135.mp4,4184134.mp4,4184133.mp4,.urlset/master.m3u8",
        },
      },
      drm_download_dash: {
        "": {
          hardsub_locale: "",
          url: "https://pl.crunchyroll.com/evs3/c3000884083f94020cca8f2768a31fae/assets/p/4f471b548715dcf51a99def290fe4ce9_,4181458.mp4,4181459.mp4,4181456.mp4,4181457.mp4,.urlset/manifest.mpd",
        },
      },
      drm_download_hls: {
        "": {
          hardsub_locale: "",
          url: "https://pl.crunchyroll.com/evs3/c3000884083f94020cca8f2768a31fae/assets/p/4f471b548715dcf51a99def290fe4ce9_,4181458.mp4,4181459.mp4,4181456.mp4,4181457.mp4,.urlset/master.m3u8",
        },
      },
      drm_multitrack_adaptive_hls_v2: {
        "": {
          hardsub_locale: "",
          url: "https://pl.crunchyroll.com/evs3/c3000884083f94020cca8f2768a31fae/assets/p/4f471b548715dcf51a99def290fe4ce9_,4181459.mp4,4181460.mp4,4181458.mp4,4181456.mp4,4181457.mp4,.urlset/master.m3u8",
        },
        "fr-FR": {
          hardsub_locale: "fr-FR",
          url: "https://pl.crunchyroll.com/evs3/c3000884083f94020cca8f2768a31fae/assets/p/4f471b548715dcf51a99def290fe4ce9_,4184136.mp4,4184137.mp4,4184135.mp4,4184134.mp4,4184133.mp4,.urlset/master.m3u8",
        },
      },
      multitrack_adaptive_hls_v2: {
        "": {
          hardsub_locale: "",
          url: "https://pl.crunchyroll.com/evs3/b0e4fb16b31a993096b9c7aaefe6c6d4/assets/4f471b548715dcf51a99def290fe4ce9_,4181459.mp4,4181460.mp4,4181458.mp4,4181456.mp4,4181457.mp4,.urlset/master.m3u8",
        },
        "fr-FR": {
          hardsub_locale: "fr-FR",
          url: "https://pl.crunchyroll.com/evs3/b0e4fb16b31a993096b9c7aaefe6c6d4/assets/4f471b548715dcf51a99def290fe4ce9_,4184136.mp4,4184137.mp4,4184135.mp4,4184134.mp4,4184133.mp4,.urlset/master.m3u8",
        },
      },
      urls: { "": { hardsub_locale: "", url: "" } },
      vo_adaptive_dash: {
        "": {
          hardsub_locale: "",
          url: "https://v.vrv.co/evs3/b0e4fb16b31a993096b9c7aaefe6c6d4/assets/4f471b548715dcf51a99def290fe4ce9_,4181459.mp4,4181460.mp4,4181458.mp4,4181456.mp4,4181457.mp4,.urlset/manifest.mpd",
        },
        "fr-FR": {
          hardsub_locale: "fr-FR",
          url: "https://v.vrv.co/evs3/b0e4fb16b31a993096b9c7aaefe6c6d4/assets/4f471b548715dcf51a99def290fe4ce9_,4184136.mp4,4184137.mp4,4184135.mp4,4184134.mp4,4184133.mp4,.urlset/manifest.mpd",
        },
      },
      vo_adaptive_hls: {
        "": {
          hardsub_locale: "",
          url: "https://v.vrv.co/evs3/b0e4fb16b31a993096b9c7aaefe6c6d4/assets/4f471b548715dcf51a99def290fe4ce9_,4181459.mp4,4181460.mp4,4181458.mp4,4181456.mp4,4181457.mp4,.urlset/master.m3u8",
        },
        "fr-FR": {
          hardsub_locale: "fr-FR",
          url: "https://v.vrv.co/evs3/b0e4fb16b31a993096b9c7aaefe6c6d4/assets/4f471b548715dcf51a99def290fe4ce9_,4184136.mp4,4184137.mp4,4184135.mp4,4184134.mp4,4184133.mp4,.urlset/master.m3u8",
        },
      },
      vo_drm_adaptive_dash: {
        "": {
          hardsub_locale: "",
          url: "https://v.vrv.co/evs3/c3000884083f94020cca8f2768a31fae/assets/p/4f471b548715dcf51a99def290fe4ce9_,4181459.mp4,4181460.mp4,4181458.mp4,4181456.mp4,4181457.mp4,.urlset/manifest.mpd",
        },
        "fr-FR": {
          hardsub_locale: "fr-FR",
          url: "https://v.vrv.co/evs3/c3000884083f94020cca8f2768a31fae/assets/p/4f471b548715dcf51a99def290fe4ce9_,4184136.mp4,4184137.mp4,4184135.mp4,4184134.mp4,4184133.mp4,.urlset/manifest.mpd",
        },
      },
      vo_drm_adaptive_hls: {
        "": {
          hardsub_locale: "",
          url: "https://v.vrv.co/evs3/c3000884083f94020cca8f2768a31fae/assets/p/4f471b548715dcf51a99def290fe4ce9_,4181459.mp4,4181460.mp4,4181458.mp4,4181456.mp4,4181457.mp4,.urlset/master.m3u8",
        },
        "fr-FR": {
          hardsub_locale: "fr-FR",
          url: "https://v.vrv.co/evs3/c3000884083f94020cca8f2768a31fae/assets/p/4f471b548715dcf51a99def290fe4ce9_,4184136.mp4,4184137.mp4,4184135.mp4,4184134.mp4,4184133.mp4,.urlset/master.m3u8",
        },
      },
    },
    bifs: [
      "https://v.vrv.co/evs3/b0e4fb16b31a993096b9c7aaefe6c6d4/assets/4f471b548715dcf51a99def290fe4ce9_bif.bif",
    ],
  };
});

it("test page bundle", () => {
  let supported: supported = [
    "ar-ME",
    "ar-SA",
    "de-DE",
    "en-US",
    "es-419",
    "es-ES",
    "es-LA",
    "fr-FR",
    "hi-IN",
    "it-IT",
    "pt-BR",
    "pt-PT",
    "ru-RU",
  ];
  let supportedFallbacks: supportedFallbacks = {
    "ar-ME": ["ar-SA", "en-US"],
    "ar-SA": ["en-US"],
    "de-DE": ["en-US"],
    "en-US": ["en-US"],
    "es-419": ["es-ES", "en-US"],
    "es-ES": ["es-419", "en-US"],
    "es-LA": ["es-419", "es-ES", "en-US"],
    "fr-FR": ["en-US"],
    "hi-IN": ["en-US"],
    "it-IT": ["en-US"],
    "pt-BR": ["pt-PT", "en-US"],
    "pt-PT": ["pt-BR", "en-US"],
    "ru-RU": ["en-US"],
  };
  let mapping: mapping = {
    Wp: {
      af: { to: "en-US", desc: "Afrikaans" },
      "af-NA": { to: "en-US", desc: "Afrikaans (Namibia)" },
      "af-ZA": { to: "en-US", desc: "Afrikaans (South Africa)" },
      agq: { to: "en-US", desc: "Aghem" },
      "agq-CM": { to: "en-US", desc: "Aghem (Cameroon)" },
      ak: { to: "en-US", desc: "Akan" },
      "ak-GH": { to: "en-US", desc: "Akan (Ghana)" },
      am: { to: "en-US", desc: "Amharic" },
      "am-ET": { to: "en-US", desc: "Amharic (Ethiopia)" },
      ar: { to: "ar-SA", desc: "Arabic" },
      "ar-SA": { to: "ar-SA", desc: "Arabic" },
      "ar-001": { to: "ar-SA", desc: "Arabic (World)" },
      "ar-AE": { to: "ar-SA", desc: "Arabic (United Arab Emirates)" },
      "ar-BH": { to: "ar-SA", desc: "Arabic (Bahrain)" },
      "ar-DJ": { to: "ar-SA", desc: "Arabic (Djibouti)" },
      "ar-DZ": { to: "ar-SA", desc: "Arabic (Algeria)" },
      "ar-EG": { to: "ar-SA", desc: "Arabic (Egypt)" },
      "ar-EH": { to: "ar-SA", desc: "Arabic (Western Sahara)" },
      "ar-ER": { to: "ar-SA", desc: "Arabic (Eritrea)" },
      "ar-IL": { to: "ar-SA", desc: "Arabic (Israel)" },
      "ar-IQ": { to: "ar-SA", desc: "Arabic (Iraq)" },
      "ar-JO": { to: "ar-SA", desc: "Arabic (Jordan)" },
      "ar-KM": { to: "ar-SA", desc: "Arabic (Comoros)" },
      "ar-KW": { to: "ar-SA", desc: "Arabic (Kuwait)" },
      "ar-LB": { to: "ar-SA", desc: "Arabic (Lebanon)" },
      "ar-LY": { to: "ar-SA", desc: "Arabic (Libya)" },
      "ar-MA": { to: "ar-SA", desc: "Arabic (Morocco)" },
      "ar-ME": { to: "ar-SA", desc: "Arabic (Legacy CR)" },
      "ar-MR": { to: "ar-SA", desc: "Arabic (Mauritania)" },
      "ar-OM": { to: "ar-SA", desc: "Arabic (Oman)" },
      "ar-PS": { to: "ar-SA", desc: "Arabic (Palestine)" },
      "ar-QA": { to: "ar-SA", desc: "Arabic (Qatar)" },
      "ar-SD": { to: "ar-SA", desc: "Arabic (Sudan)" },
      "ar-SO": { to: "ar-SA", desc: "Arabic (Somalia)" },
      "ar-SS": { to: "ar-SA", desc: "Arabic (South Sudan)" },
      "ar-SY": { to: "ar-SA", desc: "Arabic (Syria)" },
      "ar-TD": { to: "ar-SA", desc: "Arabic (Chad)" },
      "ar-TN": { to: "ar-SA", desc: "Arabic (Tunisia)" },
      "ar-YE": { to: "ar-SA", desc: "Arabic (Yemen)" },
      as: { to: "en-US", desc: "Assamese" },
      "as-IN": { to: "en-US", desc: "Assamese (India)" },
      asa: { to: "en-US", desc: "Asu" },
      "asa-TZ": { to: "en-US", desc: "Asu (Tanzania)" },
      az: { to: "en-US", desc: "Azerbaijani" },
      "az-AZ": { to: "en-US", desc: "Azerbaijani (Cyrillic,Azerbaijan)" },
      bas: { to: "en-US", desc: "Basaa" },
      "bas-CM": { to: "en-US", desc: "Basaa (Cameroon)" },
      be: { to: "en-US", desc: "Belarusian" },
      "be-BY": { to: "en-US", desc: "Belarusian (Belarus)" },
      bem: { to: "en-US", desc: "Bemba" },
      "bem-ZM": { to: "en-US", desc: "Bemba (Zambia)" },
      bez: { to: "en-US", desc: "Bena" },
      "bez-TZ": { to: "en-US", desc: "Bena (Tanzania)" },
      bg: { to: "en-US", desc: "Bulgarian" },
      "bg-BG": { to: "en-US", desc: "Bulgarian (Bulgaria)" },
      bm: { to: "en-US", desc: "Bambara" },
      "bm-ML": { to: "en-US", desc: "Bambara (Mali)" },
      bn: { to: "en-US", desc: "Bengali" },
      "bn-BD": { to: "en-US", desc: "Bengali (Bangladesh)" },
      "bn-IN": { to: "en-US", desc: "Bengali (India)" },
      bo: { to: "en-US", desc: "Tibetan" },
      "bo-CN": { to: "en-US", desc: "Tibetan (China)" },
      "bo-IN": { to: "en-US", desc: "Tibetan (India)" },
      br: { to: "en-US", desc: "Breton" },
      "br-FR": { to: "en-US", desc: "Breton (France)" },
      brx: { to: "en-US", desc: "Bodo" },
      "brx-IN": { to: "en-US", desc: "Bodo (India)" },
      bs: { to: "en-US", desc: "Bosnian" },
      "bs-BA": {
        to: "en-US",
        desc: "Bosnian (Cyrillic,Bosnia and Herzegovina)",
      },
      ca: { to: "en-US", desc: "Catalan" },
      "ca-AD": { to: "en-US", desc: "Catalan (Andorra)" },
      "ca-ES": { to: "en-US", desc: "Catalan (Spain)" },
      "ca-FR": { to: "en-US", desc: "Catalan (France)" },
      "ca-IT": { to: "en-US", desc: "Catalan (Italy)" },
      cgg: { to: "en-US", desc: "Chiga" },
      "cgg-UG": { to: "en-US", desc: "Chiga (Uganda)" },
      chr: { to: "en-US", desc: "Cherokee" },
      "chr-US": { to: "en-US", desc: "Cherokee (United States)" },
      cs: { to: "en-US", desc: "Czech" },
      "cs-CZ": { to: "en-US", desc: "Czech (Czech Republic)" },
      cy: { to: "en-US", desc: "Welsh" },
      "cy-GB": { to: "en-US", desc: "Welsh (United Kingdom)" },
      da: { to: "en-US", desc: "Danish" },
      "da-DK": { to: "en-US", desc: "Danish (Denmark)" },
      "da-GL": { to: "en-US", desc: "Danish (Greenland)" },
      dav: { to: "en-US", desc: "Taita" },
      "dav-KE": { to: "en-US", desc: "Taita (Kenya)" },
      de: { to: "de-DE", desc: "German" },
      "de-AT": { to: "de-DE", desc: "German (Austria)" },
      "de-BE": { to: "de-DE", desc: "German (Belgium)" },
      "de-CH": { to: "de-DE", desc: "German (Switzerland)" },
      "de-DE": { to: "de-DE", desc: "German (Germany)" },
      "de-LI": { to: "de-DE", desc: "German (Liechtenstein)" },
      "de-LU": { to: "de-DE", desc: "German (Luxembourg)" },
      dje: { to: "en-US", desc: "Zarma" },
      "dje-NE": { to: "en-US", desc: "Zarma (Niger)" },
      dua: { to: "en-US", desc: "Duala" },
      "dua-CM": { to: "en-US", desc: "Duala (Cameroon)" },
      dyo: { to: "en-US", desc: "Jola-Fonyi" },
      "dyo-SN": { to: "en-US", desc: "Jola-Fonyi (Senegal)" },
      dz: { to: "en-US", desc: "Dzongkha" },
      "dz-BT": { to: "en-US", desc: "Dzongkha (Bhutan)" },
      ebu: { to: "en-US", desc: "Embu" },
      "ebu-KE": { to: "en-US", desc: "Embu (Kenya)" },
      ee: { to: "en-US", desc: "Ewe" },
      "ee-GH": { to: "en-US", desc: "Ewe (Ghana)" },
      "ee-TG": { to: "en-US", desc: "Ewe (Togo)" },
      el: { to: "en-US", desc: "Greek" },
      "el-CY": { to: "en-US", desc: "Greek (Cyprus)" },
      "el-GR": { to: "en-US", desc: "Greek (Greece)" },
      en: { to: "en-US", desc: "English" },
      "en-001": { to: "en-US", desc: "English (World)" },
      "en-150": { to: "en-US", desc: "English (Europe)" },
      "en-AG": { to: "en-US", desc: "English (Antigua and Barbuda)" },
      "en-AI": { to: "en-US", desc: "English (Anguilla)" },
      "en-AS": { to: "en-US", desc: "English (American Samoa)" },
      "en-AU": { to: "en-US", desc: "English (Australia)" },
      "en-BB": { to: "en-US", desc: "English (Barbados)" },
      "en-BE": { to: "en-US", desc: "English (Belgium)" },
      "en-BM": { to: "en-US", desc: "English (Bermuda)" },
      "en-BS": { to: "en-US", desc: "English (Bahamas)" },
      "en-BW": { to: "en-US", desc: "English (Botswana)" },
      "en-BZ": { to: "en-US", desc: "English (Belize)" },
      "en-CA": { to: "en-US", desc: "English (Canada)" },
      "en-CC": { to: "en-US", desc: "English (Cocos (Keeling) Islands)" },
      "en-CK": { to: "en-US", desc: "English (Cook Islands)" },
      "en-CM": { to: "en-US", desc: "English (Cameroon)" },
      "en-CX": { to: "en-US", desc: "English (Christmas Island)" },
      "en-DG": { to: "en-US", desc: "English (Diego Garcia)" },
      "en-DM": { to: "en-US", desc: "English (Dominica)" },
      "en-ER": { to: "en-US", desc: "English (Eritrea)" },
      "en-FJ": { to: "en-US", desc: "English (Fiji)" },
      "en-FK": {
        to: "en-US",
        desc: "English (Falkland Islands (Islas Malvinas))",
      },
      "en-FM": { to: "en-US", desc: "English (Micronesia)" },
      "en-GB": { to: "en-US", desc: "English (United Kingdom)" },
      "en-GD": { to: "en-US", desc: "English (Grenada)" },
      "en-GG": { to: "en-US", desc: "English (Guernsey)" },
      "en-GH": { to: "en-US", desc: "English (Ghana)" },
      "en-GI": { to: "en-US", desc: "English (Gibraltar)" },
      "en-GM": { to: "en-US", desc: "English (Gambia)" },
      "en-GU": { to: "en-US", desc: "English (Guam)" },
      "en-GY": { to: "en-US", desc: "English (Guyana)" },
      "en-HK": { to: "en-US", desc: "English (Hong Kong)" },
      "en-IE": { to: "en-US", desc: "English (Ireland)" },
      "en-IM": { to: "en-US", desc: "English (Isle of Man)" },
      "en-IN": { to: "en-US", desc: "English (India)" },
      "en-IO": {
        to: "en-US",
        desc: "English (British Indian Ocean Territory)",
      },
      "en-JE": { to: "en-US", desc: "English (Jersey)" },
      "en-JM": { to: "en-US", desc: "English (Jamaica)" },
      "en-KE": { to: "en-US", desc: "English (Kenya)" },
      "en-KI": { to: "en-US", desc: "English (Kiribati)" },
      "en-KN": { to: "en-US", desc: "English (Saint Kitts and Nevis)" },
      "en-KY": { to: "en-US", desc: "English (Cayman Islands)" },
      "en-LC": { to: "en-US", desc: "English (Saint Lucia)" },
      "en-LR": { to: "en-US", desc: "English (Liberia)" },
      "en-LS": { to: "en-US", desc: "English (Lesotho)" },
      "en-MG": { to: "en-US", desc: "English (Madagascar)" },
      "en-MH": { to: "en-US", desc: "English (Marshall Islands)" },
      "en-MO": { to: "en-US", desc: "English (Macau)" },
      "en-MP": { to: "en-US", desc: "English (Northern Mariana Islands)" },
      "en-MS": { to: "en-US", desc: "English (Montserrat)" },
      "en-MT": { to: "en-US", desc: "English (Malta)" },
      "en-MU": { to: "en-US", desc: "English (Mauritius)" },
      "en-MW": { to: "en-US", desc: "English (Malawi)" },
      "en-NA": { to: "en-US", desc: "English (Namibia)" },
      "en-NF": { to: "en-US", desc: "English (Norfolk Island)" },
      "en-NG": { to: "en-US", desc: "English (Nigeria)" },
      "en-NR": { to: "en-US", desc: "English (Nauru)" },
      "en-NU": { to: "en-US", desc: "English (Niue)" },
      "en-NZ": { to: "en-US", desc: "English (New Zealand)" },
      "en-PG": { to: "en-US", desc: "English (Papua New Guinea)" },
      "en-PH": { to: "en-US", desc: "English (Philippines)" },
      "en-PK": { to: "en-US", desc: "English (Pakistan)" },
      "en-PN": { to: "en-US", desc: "English (Pitcairn Islands)" },
      "en-PR": { to: "en-US", desc: "English (Puerto Rico)" },
      "en-PW": { to: "en-US", desc: "English (Palau)" },
      "en-RW": { to: "en-US", desc: "English (Rwanda)" },
      "en-SB": { to: "en-US", desc: "English (Solomon Islands)" },
      "en-SC": { to: "en-US", desc: "English (Seychelles)" },
      "en-SD": { to: "en-US", desc: "English (Sudan)" },
      "en-SG": { to: "en-US", desc: "English (Singapore)" },
      "en-SH": { to: "en-US", desc: "English (Saint Helena)" },
      "en-SL": { to: "en-US", desc: "English (Sierra Leone)" },
      "en-SS": { to: "en-US", desc: "English (South Sudan)" },
      "en-SX": { to: "en-US", desc: "English (Sint Maarten)" },
      "en-SZ": { to: "en-US", desc: "English (Swaziland)" },
      "en-TC": { to: "en-US", desc: "English (Turks and Caicos Islands)" },
      "en-TK": { to: "en-US", desc: "English (Tokelau)" },
      "en-TO": { to: "en-US", desc: "English (Tonga)" },
      "en-TT": { to: "en-US", desc: "English (Trinidad and Tobago)" },
      "en-TV": { to: "en-US", desc: "English (Tuvalu)" },
      "en-TZ": { to: "en-US", desc: "English (Tanzania)" },
      "en-UG": { to: "en-US", desc: "English (Uganda)" },
      "en-UM": { to: "en-US", desc: "English (U.S. Outlying Islands)" },
      "en-US": { to: "en-US", desc: "English (United States)" },
      "en-VC": { to: "en-US", desc: "English (St. Vincent & Grenadines)" },
      "en-VG": { to: "en-US", desc: "English (British Virgin Islands)" },
      "en-VI": { to: "en-US", desc: "English (U.S. Virgin Islands)" },
      "en-VU": { to: "en-US", desc: "English (Vanuatu)" },
      "en-WS": { to: "en-US", desc: "English (Samoa)" },
      "en-ZA": { to: "en-US", desc: "English (South Africa)" },
      "en-ZM": { to: "en-US", desc: "English (Zambia)" },
      "en-ZW": { to: "en-US", desc: "English (Zimbabwe)" },
      eo: { to: "en-US", desc: "Esperanto" },
      es: { to: "es-419", desc: "Spanish" },
      "es-419": { to: "es-419", desc: "Spanish (Latin America)" },
      "es-AR": { to: "es-419", desc: "Spanish (Argentina)" },
      "es-BO": { to: "es-419", desc: "Spanish (Bolivia)" },
      "es-CL": { to: "es-419", desc: "Spanish (Chile)" },
      "es-CO": { to: "es-419", desc: "Spanish (Colombia)" },
      "es-CR": { to: "es-419", desc: "Spanish (Costa Rica)" },
      "es-CU": { to: "es-419", desc: "Spanish (Cuba)" },
      "es-DO": { to: "es-419", desc: "Spanish (Dominican Republic)" },
      "es-EA": { to: "es-419", desc: "Spanish (Ceuta and Melilla)" },
      "es-EC": { to: "es-419", desc: "Spanish (Ecuador)" },
      "es-ES": { to: "es-ES", desc: "Spanish (Spain)" },
      "es-GQ": { to: "es-419", desc: "Spanish (Equatorial Guinea)" },
      "es-GT": { to: "es-419", desc: "Spanish (Guatemala)" },
      "es-HN": { to: "es-419", desc: "Spanish (Honduras)" },
      "es-IC": { to: "es-419", desc: "Spanish (Canary Islands)" },
      "es-LA": { to: "es-419", desc: "Spanish (Legacy CR)" },
      "es-MX": { to: "es-419", desc: "Spanish (Mexico)" },
      "es-NI": { to: "es-419", desc: "Spanish (Nicaragua)" },
      "es-PA": { to: "es-419", desc: "Spanish (Panama)" },
      "es-PE": { to: "es-419", desc: "Spanish (Peru)" },
      "es-PH": { to: "es-419", desc: "Spanish (Philippines)" },
      "es-PR": { to: "es-419", desc: "Spanish (Puerto Rico)" },
      "es-PY": { to: "es-419", desc: "Spanish (Paraguay)" },
      "es-SV": { to: "es-419", desc: "Spanish (El Salvador)" },
      "es-US": { to: "es-419", desc: "Spanish (United States)" },
      "es-UY": { to: "es-419", desc: "Spanish (Uruguay)" },
      "es-VE": { to: "es-419", desc: "Spanish (Venezuela)" },
      et: { to: "en-US", desc: "Estonian" },
      "et-EE": { to: "en-US", desc: "Estonian (Estonia)" },
      eu: { to: "en-US", desc: "Basque" },
      "eu-ES": { to: "en-US", desc: "Basque (Spain)" },
      ewo: { to: "en-US", desc: "Ewondo" },
      "ewo-CM": { to: "en-US", desc: "Ewondo (Cameroon)" },
      fa: { to: "en-US", desc: "Persian" },
      "fa-AF": { to: "en-US", desc: "Persian (Afghanistan)" },
      "fa-IR": { to: "en-US", desc: "Persian (Iran)" },
      ff: { to: "en-US", desc: "Fulah" },
      "ff-SN": { to: "en-US", desc: "Fulah (Senegal)" },
      fi: { to: "en-US", desc: "Finnish" },
      "fi-FI": { to: "en-US", desc: "Finnish (Finland)" },
      fil: { to: "en-US", desc: "Filipino" },
      "fil-PH": { to: "en-US", desc: "Filipino (Philippines)" },
      fo: { to: "en-US", desc: "Faroese" },
      "fo-FO": { to: "en-US", desc: "Faroese (Faroe Islands)" },
      fr: { to: "fr-FR", desc: "French" },
      "fr-BE": { to: "fr-FR", desc: "French (Belgium)" },
      "fr-BF": { to: "fr-FR", desc: "French (Burkina Faso)" },
      "fr-BI": { to: "fr-FR", desc: "French (Burundi)" },
      "fr-BJ": { to: "fr-FR", desc: "French (Benin)" },
      "fr-BL": { to: "fr-FR", desc: "French (Saint Barthélemy)" },
      "fr-CA": { to: "fr-FR", desc: "French (Canada)" },
      "fr-CD": { to: "fr-FR", desc: "French (Congo (DRC))" },
      "fr-CF": { to: "fr-FR", desc: "French (Central African Republic)" },
      "fr-CG": { to: "fr-FR", desc: "French (Congo (Republic))" },
      "fr-CH": { to: "fr-FR", desc: "French (Switzerland)" },
      "fr-CI": { to: "fr-FR", desc: "French (Côte d’Ivoire)" },
      "fr-CM": { to: "fr-FR", desc: "French (Cameroon)" },
      "fr-DJ": { to: "fr-FR", desc: "French (Djibouti)" },
      "fr-DZ": { to: "fr-FR", desc: "French (Algeria)" },
      "fr-FR": { to: "fr-FR", desc: "French (France)" },
      "fr-GA": { to: "fr-FR", desc: "French (Gabon)" },
      "fr-GF": { to: "fr-FR", desc: "French (French Guiana)" },
      "fr-GN": { to: "fr-FR", desc: "French (Guinea)" },
      "fr-GP": { to: "fr-FR", desc: "French (Guadeloupe)" },
      "fr-GQ": { to: "fr-FR", desc: "French (Equatorial Guinea)" },
      "fr-HT": { to: "fr-FR", desc: "French (Haiti)" },
      "fr-KM": { to: "fr-FR", desc: "French (Comoros)" },
      "fr-LU": { to: "fr-FR", desc: "French (Luxembourg)" },
      "fr-MA": { to: "fr-FR", desc: "French (Morocco)" },
      "fr-MC": { to: "fr-FR", desc: "French (Monaco)" },
      "fr-MF": { to: "fr-FR", desc: "French (Saint Martin)" },
      "fr-MG": { to: "fr-FR", desc: "French (Madagascar)" },
      "fr-ML": { to: "fr-FR", desc: "French (Mali)" },
      "fr-MQ": { to: "fr-FR", desc: "French (Martinique)" },
      "fr-MR": { to: "fr-FR", desc: "French (Mauritania)" },
      "fr-MU": { to: "fr-FR", desc: "French (Mauritius)" },
      "fr-NC": { to: "fr-FR", desc: "French (New Caledonia)" },
      "fr-NE": { to: "fr-FR", desc: "French (Niger)" },
      "fr-PF": { to: "fr-FR", desc: "French (French Polynesia)" },
      "fr-PM": { to: "fr-FR", desc: "French (Saint Pierre and Miquelon)" },
      "fr-RE": { to: "fr-FR", desc: "French (Réunion)" },
      "fr-RW": { to: "fr-FR", desc: "French (Rwanda)" },
      "fr-SC": { to: "fr-FR", desc: "French (Seychelles)" },
      "fr-SN": { to: "fr-FR", desc: "French (Senegal)" },
      "fr-SY": { to: "fr-FR", desc: "French (Syria)" },
      "fr-TD": { to: "fr-FR", desc: "French (Chad)" },
      "fr-TG": { to: "fr-FR", desc: "French (Togo)" },
      "fr-TN": { to: "fr-FR", desc: "French (Tunisia)" },
      "fr-VU": { to: "fr-FR", desc: "French (Vanuatu)" },
      "fr-WF": { to: "fr-FR", desc: "French (Wallis and Futuna)" },
      "fr-YT": { to: "fr-FR", desc: "French (Mayotte)" },
      ga: { to: "en-US", desc: "Irish" },
      "ga-IE": { to: "en-US", desc: "Irish (Ireland)" },
      gl: { to: "en-US", desc: "Galician" },
      "gl-ES": { to: "en-US", desc: "Galician (Spain)" },
      gsw: { to: "en-US", desc: "Swiss German" },
      "gsw-CH": { to: "en-US", desc: "Swiss German (Switzerland)" },
      "gsw-LI": { to: "en-US", desc: "Swiss German (Liechtenstein)" },
      gu: { to: "en-US", desc: "Gujarati" },
      "gu-IN": { to: "en-US", desc: "Gujarati (India)" },
      guz: { to: "en-US", desc: "Gusii" },
      "guz-KE": { to: "en-US", desc: "Gusii (Kenya)" },
      gv: { to: "en-US", desc: "Manx" },
      "gv-IM": { to: "en-US", desc: "Manx (Isle of Man)" },
      ha: { to: "en-US", desc: "Hausa" },
      "ha-GH": { to: "en-US", desc: "Hausa (Latin,Ghana)" },
      "ha-NE": { to: "en-US", desc: "Hausa (Latin,Niger)" },
      "ha-NG": { to: "en-US", desc: "Hausa (Latin,Nigeria)" },
      haw: { to: "en-US", desc: "Hawaiian" },
      "haw-US": { to: "en-US", desc: "Hawaiian (United States)" },
      iw: { to: "en-US", desc: "Hebrew" },
      "iw-IL": { to: "en-US", desc: "Hebrew (Israel)" },
      hi: { to: "hi-IN", desc: "Hindi" },
      "hi-IN": { to: "hi-IN", desc: "Hindi (India)" },
      hr: { to: "en-US", desc: "Croatian" },
      "hr-BA": { to: "en-US", desc: "Croatian (Bosnia and Herzegovina)" },
      "hr-HR": { to: "en-US", desc: "Croatian (Croatia)" },
      hu: { to: "en-US", desc: "Hungarian" },
      "hu-HU": { to: "en-US", desc: "Hungarian (Hungary)" },
      hy: { to: "en-US", desc: "Armenian" },
      "hy-AM": { to: "en-US", desc: "Armenian (Armenia)" },
      in: { to: "en-US", desc: "Indonesian" },
      "in-ID": { to: "en-US", desc: "Indonesian (Indonesia)" },
      ig: { to: "en-US", desc: "Igbo" },
      "ig-NG": { to: "en-US", desc: "Igbo (Nigeria)" },
      ii: { to: "en-US", desc: "Sichuan Yi" },
      "ii-CN": { to: "en-US", desc: "Sichuan Yi (China)" },
      is: { to: "en-US", desc: "Icelandic" },
      "is-IS": { to: "en-US", desc: "Icelandic (Iceland)" },
      it: { to: "it-IT", desc: "Italian" },
      "it-CH": { to: "it-IT", desc: "Italian (Switzerland)" },
      "it-IT": { to: "it-IT", desc: "Italian (Italy)" },
      "it-SM": { to: "it-IT", desc: "Italian (San Marino)" },
      ja: { to: "en-US", desc: "Japanese" },
      "ja-JP": { to: "en-US", desc: "Japanese (Japan)" },
      jgo: { to: "en-US", desc: "Ngomba" },
      "jgo-CM": { to: "en-US", desc: "Ngomba (Cameroon)" },
      jmc: { to: "en-US", desc: "Machame" },
      "jmc-TZ": { to: "en-US", desc: "Machame (Tanzania)" },
      ka: { to: "en-US", desc: "Georgian" },
      "ka-GE": { to: "en-US", desc: "Georgian (Georgia)" },
      kab: { to: "en-US", desc: "Kabyle" },
      "kab-DZ": { to: "en-US", desc: "Kabyle (Algeria)" },
      kam: { to: "en-US", desc: "Kamba" },
      "kam-KE": { to: "en-US", desc: "Kamba (Kenya)" },
      kde: { to: "en-US", desc: "Makonde" },
      "kde-TZ": { to: "en-US", desc: "Makonde (Tanzania)" },
      kea: { to: "en-US", desc: "Kabuverdianu" },
      "kea-CV": { to: "en-US", desc: "Kabuverdianu (Cape Verde)" },
      khq: { to: "en-US", desc: "Koyra Chiini" },
      "khq-ML": { to: "en-US", desc: "Koyra Chiini (Mali)" },
      ki: { to: "en-US", desc: "Kikuyu" },
      "ki-KE": { to: "en-US", desc: "Kikuyu (Kenya)" },
      kk: { to: "en-US", desc: "Kazakh" },
      "kk-KZ": { to: "en-US", desc: "Kazakh (Cyrillic,Kazakhstan)" },
      kkj: { to: "en-US", desc: "Kako" },
      "kkj-CM": { to: "en-US", desc: "Kako (Cameroon)" },
      kl: { to: "en-US", desc: "Kalaallisut" },
      "kl-GL": { to: "en-US", desc: "Kalaallisut (Greenland)" },
      kln: { to: "en-US", desc: "Kalenjin" },
      "kln-KE": { to: "en-US", desc: "Kalenjin (Kenya)" },
      km: { to: "en-US", desc: "Khmer" },
      "km-KH": { to: "en-US", desc: "Khmer (Cambodia)" },
      kn: { to: "en-US", desc: "Kannada" },
      "kn-IN": { to: "en-US", desc: "Kannada (India)" },
      ko: { to: "en-US", desc: "Korean" },
      "ko-KP": { to: "en-US", desc: "Korean (North Korea)" },
      "ko-KR": { to: "en-US", desc: "Korean (South Korea)" },
      kok: { to: "en-US", desc: "Konkani" },
      "kok-IN": { to: "en-US", desc: "Konkani (India)" },
      ks: { to: "en-US", desc: "Kashmiri" },
      "ks-IN": { to: "en-US", desc: "Kashmiri (Arabic,India)" },
      ksb: { to: "en-US", desc: "Shambala" },
      "ksb-TZ": { to: "en-US", desc: "Shambala (Tanzania)" },
      ksf: { to: "en-US", desc: "Bafia" },
      "ksf-CM": { to: "en-US", desc: "Bafia (Cameroon)" },
      kw: { to: "en-US", desc: "Cornish" },
      "kw-GB": { to: "en-US", desc: "Cornish (United Kingdom)" },
      ky: { to: "en-US", desc: "Kyrgyz" },
      "ky-KG": { to: "en-US", desc: "Kyrgyz (Cyrillic,Kyrgyzstan)" },
      lag: { to: "en-US", desc: "Langi" },
      "lag-TZ": { to: "en-US", desc: "Langi (Tanzania)" },
      lg: { to: "en-US", desc: "Ganda" },
      "lg-UG": { to: "en-US", desc: "Ganda (Uganda)" },
      lkt: { to: "en-US", desc: "Lakota" },
      "lkt-US": { to: "en-US", desc: "Lakota (United States)" },
      ln: { to: "en-US", desc: "Lingala" },
      "ln-AO": { to: "en-US", desc: "Lingala (Angola)" },
      "ln-CD": { to: "en-US", desc: "Lingala (Congo (DRC))" },
      "ln-CF": { to: "en-US", desc: "Lingala (Central African Republic)" },
      "ln-CG": { to: "en-US", desc: "Lingala (Congo (Republic))" },
      lo: { to: "en-US", desc: "Lao" },
      "lo-LA": { to: "en-US", desc: "Lao (Laos)" },
      lt: { to: "en-US", desc: "Lithuanian" },
      "lt-LT": { to: "en-US", desc: "Lithuanian (Lithuania)" },
      lu: { to: "en-US", desc: "Luba-Katanga" },
      "lu-CD": { to: "en-US", desc: "Luba-Katanga (Congo (DRC))" },
      luo: { to: "en-US", desc: "Luo" },
      "luo-KE": { to: "en-US", desc: "Luo (Kenya)" },
      luy: { to: "en-US", desc: "Luyia" },
      "luy-KE": { to: "en-US", desc: "Luyia (Kenya)" },
      lv: { to: "en-US", desc: "Latvian" },
      "lv-LV": { to: "en-US", desc: "Latvian (Latvia)" },
      mas: { to: "en-US", desc: "Masai" },
      "mas-KE": { to: "en-US", desc: "Masai (Kenya)" },
      "mas-TZ": { to: "en-US", desc: "Masai (Tanzania)" },
      mer: { to: "en-US", desc: "Meru" },
      "mer-KE": { to: "en-US", desc: "Meru (Kenya)" },
      mfe: { to: "en-US", desc: "Morisyen" },
      "mfe-MU": { to: "en-US", desc: "Morisyen (Mauritius)" },
      mg: { to: "en-US", desc: "Malagasy" },
      "mg-MG": { to: "en-US", desc: "Malagasy (Madagascar)" },
      mgh: { to: "en-US", desc: "Makhuwa-Meetto" },
      "mgh-MZ": { to: "en-US", desc: "Makhuwa-Meetto (Mozambique)" },
      mgo: { to: "en-US", desc: "Meta'" },
      "mgo-CM": { to: "en-US", desc: "Meta' (Cameroon)" },
      mk: { to: "en-US", desc: "Macedonian" },
      "mk-MK": { to: "en-US", desc: "Macedonian (Macedonia (FYROM))" },
      ml: { to: "en-US", desc: "Malayalam" },
      "ml-IN": { to: "en-US", desc: "Malayalam (India)" },
      mn: { to: "en-US", desc: "Mongolian" },
      "mn-MN": { to: "en-US", desc: "Mongolian (Cyrillic,Mongolia)" },
      mr: { to: "en-US", desc: "Marathi" },
      "mr-IN": { to: "en-US", desc: "Marathi (India)" },
      ms: { to: "en-US", desc: "Malay" },
      "ms-BN": { to: "en-US", desc: "Malay (Latin,Brunei)" },
      "ms-MY": { to: "en-US", desc: "Malay (Latin,Malaysia)" },
      "ms-SG": { to: "en-US", desc: "Malay (Latin,Singapore)" },
      mt: { to: "en-US", desc: "Maltese" },
      "mt-MT": { to: "en-US", desc: "Maltese (Malta)" },
      mua: { to: "en-US", desc: "Mundang" },
      "mua-CM": { to: "en-US", desc: "Mundang (Cameroon)" },
      my: { to: "en-US", desc: "Burmese" },
      "my-MM": { to: "en-US", desc: "Burmese (Myanmar (Burma))" },
      naq: { to: "en-US", desc: "Nama" },
      "naq-NA": { to: "en-US", desc: "Nama (Namibia)" },
      nb: { to: "en-US", desc: "Norwegian Bokmål" },
      "nb-NO": { to: "en-US", desc: "Norwegian Bokmål (Norway)" },
      "nb-SJ": {
        to: "en-US",
        desc: "Norwegian Bokmål (Svalbard and Jan Mayen)",
      },
      nd: { to: "en-US", desc: "North Ndebele" },
      "nd-ZW": { to: "en-US", desc: "North Ndebele (Zimbabwe)" },
      ne: { to: "en-US", desc: "Nepali" },
      "ne-IN": { to: "en-US", desc: "Nepali (India)" },
      "ne-NP": { to: "en-US", desc: "Nepali (Nepal)" },
      nl: { to: "en-US", desc: "Dutch" },
      "nl-AW": { to: "en-US", desc: "Dutch (Aruba)" },
      "nl-BE": { to: "en-US", desc: "Dutch (Belgium)" },
      "nl-BQ": { to: "en-US", desc: "Dutch (Caribbean Netherlands)" },
      "nl-CW": { to: "en-US", desc: "Dutch (Curaçao)" },
      "nl-NL": { to: "en-US", desc: "Dutch (Netherlands)" },
      "nl-SR": { to: "en-US", desc: "Dutch (Suriname)" },
      "nl-SX": { to: "en-US", desc: "Dutch (Sint Maarten)" },
      nmg: { to: "en-US", desc: "Kwasio" },
      "nmg-CM": { to: "en-US", desc: "Kwasio (Cameroon)" },
      nn: { to: "en-US", desc: "Norwegian Nynorsk" },
      "nn-NO": { to: "en-US", desc: "Norwegian Nynorsk (Norway)" },
      nnh: { to: "en-US", desc: "Ngiemboon" },
      "nnh-CM": { to: "en-US", desc: "Ngiemboon (Cameroon)" },
      nus: { to: "en-US", desc: "Nuer" },
      "nus-SD": { to: "en-US", desc: "Nuer (Sudan)" },
      nyn: { to: "en-US", desc: "Nyankole" },
      "nyn-UG": { to: "en-US", desc: "Nyankole (Uganda)" },
      om: { to: "en-US", desc: "Oromo" },
      "om-ET": { to: "en-US", desc: "Oromo (Ethiopia)" },
      "om-KE": { to: "en-US", desc: "Oromo (Kenya)" },
      or: { to: "en-US", desc: "Oriya" },
      "or-IN": { to: "en-US", desc: "Oriya (India)" },
      pa: { to: "en-US", desc: "Punjabi" },
      "pa-PK": { to: "en-US", desc: "Punjabi (Arabic,Pakistan)" },
      "pa-IN": { to: "en-US", desc: "Punjabi (Gurmukhi,India)" },
      pl: { to: "en-US", desc: "Polish" },
      "pl-PL": { to: "en-US", desc: "Polish (Poland)" },
      ps: { to: "en-US", desc: "Pashto" },
      "ps-AF": { to: "en-US", desc: "Pashto (Afghanistan)" },
      pt: { to: "pt-BR", desc: "Portuguese" },
      "pt-AO": { to: "pt-BR", desc: "Portuguese (Angola)" },
      "pt-BR": { to: "pt-BR", desc: "Portuguese (Brazil)" },
      "pt-CV": { to: "pt-BR", desc: "Portuguese (Cape Verde)" },
      "pt-GW": { to: "pt-BR", desc: "Portuguese (Guinea-Bissau)" },
      "pt-MO": { to: "pt-BR", desc: "Portuguese (Macau)" },
      "pt-MZ": { to: "pt-BR", desc: "Portuguese (Mozambique)" },
      "pt-PT": { to: "pt-PT", desc: "Portuguese (Portugal)" },
      "pt-ST": { to: "pt-BR", desc: "Portuguese (São Tomé and Príncipe)" },
      "pt-TL": { to: "pt-BR", desc: "Portuguese (Timor-Leste)" },
      rm: { to: "en-US", desc: "Romansh" },
      "rm-CH": { to: "en-US", desc: "Romansh (Switzerland)" },
      rn: { to: "en-US", desc: "Rundi" },
      "rn-BI": { to: "en-US", desc: "Rundi (Burundi)" },
      ro: { to: "en-US", desc: "Romanian" },
      "ro-MD": { to: "en-US", desc: "Romanian (Moldova)" },
      "ro-RO": { to: "en-US", desc: "Romanian (Romania)" },
      rof: { to: "en-US", desc: "Rombo" },
      "rof-TZ": { to: "en-US", desc: "Rombo (Tanzania)" },
      ru: { to: "ru-RU", desc: "Russian" },
      "ru-BY": { to: "ru-RU", desc: "Russian (Belarus)" },
      "ru-KG": { to: "ru-RU", desc: "Russian (Kyrgyzstan)" },
      "ru-KZ": { to: "ru-RU", desc: "Russian (Kazakhstan)" },
      "ru-MD": { to: "ru-RU", desc: "Russian (Moldova)" },
      "ru-RU": { to: "ru-RU", desc: "Russian (Russia)" },
      "ru-UA": { to: "ru-RU", desc: "Russian (Ukraine)" },
      rw: { to: "en-US", desc: "Kinyarwanda" },
      "rw-RW": { to: "en-US", desc: "Kinyarwanda (Rwanda)" },
      rwk: { to: "en-US", desc: "Rwa" },
      "rwk-TZ": { to: "en-US", desc: "Rwa (Tanzania)" },
      saq: { to: "en-US", desc: "Samburu" },
      "saq-KE": { to: "en-US", desc: "Samburu (Kenya)" },
      sbp: { to: "en-US", desc: "Sangu" },
      "sbp-TZ": { to: "en-US", desc: "Sangu (Tanzania)" },
      seh: { to: "en-US", desc: "Sena" },
      "seh-MZ": { to: "en-US", desc: "Sena (Mozambique)" },
      ses: { to: "en-US", desc: "Koyraboro Senni" },
      "ses-ML": { to: "en-US", desc: "Koyraboro Senni (Mali)" },
      sg: { to: "en-US", desc: "Sango" },
      "sg-CF": { to: "en-US", desc: "Sango (Central African Republic)" },
      shi: { to: "en-US", desc: "Tachelhit" },
      "shi-MA": { to: "en-US", desc: "Tachelhit (Latin,Morocco)" },
      si: { to: "en-US", desc: "Sinhala" },
      "si-LK": { to: "en-US", desc: "Sinhala (Sri Lanka)" },
      sk: { to: "en-US", desc: "Slovak" },
      "sk-SK": { to: "en-US", desc: "Slovak (Slovakia)" },
      sl: { to: "en-US", desc: "Slovenian" },
      "sl-SI": { to: "en-US", desc: "Slovenian (Slovenia)" },
      sn: { to: "en-US", desc: "Shona" },
      "sn-ZW": { to: "en-US", desc: "Shona (Zimbabwe)" },
      so: { to: "en-US", desc: "Somali" },
      "so-DJ": { to: "en-US", desc: "Somali (Djibouti)" },
      "so-ET": { to: "en-US", desc: "Somali (Ethiopia)" },
      "so-KE": { to: "en-US", desc: "Somali (Kenya)" },
      "so-SO": { to: "en-US", desc: "Somali (Somalia)" },
      sq: { to: "en-US", desc: "Albanian" },
      "sq-AL": { to: "en-US", desc: "Albanian (Albania)" },
      "sq-MK": { to: "en-US", desc: "Albanian (Macedonia (FYROM))" },
      "sq-XK": { to: "en-US", desc: "Albanian (Kosovo)" },
      sr: { to: "en-US", desc: "Serbian" },
      "sr-BA": {
        to: "en-US",
        desc: "Serbian (Cyrillic,Bosnia and Herzegovina)",
      },
      "sr-ME": { to: "en-US", desc: "Serbian (Cyrillic,Montenegro)" },
      "sr-RS": { to: "en-US", desc: "Serbian (Cyrillic,Serbia)" },
      "sr-XK": { to: "en-US", desc: "Serbian (Cyrillic,Kosovo)" },
      sv: { to: "en-US", desc: "Swedish" },
      "sv-AX": { to: "en-US", desc: "Swedish (Åland Islands)" },
      "sv-FI": { to: "en-US", desc: "Swedish (Finland)" },
      "sv-SE": { to: "en-US", desc: "Swedish (Sweden)" },
      sw: { to: "en-US", desc: "Swahili" },
      "sw-KE": { to: "en-US", desc: "Swahili (Kenya)" },
      "sw-TZ": { to: "en-US", desc: "Swahili (Tanzania)" },
      "sw-UG": { to: "en-US", desc: "Swahili (Uganda)" },
      swc: { to: "en-US", desc: "Congo Swahili" },
      "swc-CD": { to: "en-US", desc: "Congo Swahili (Congo (DRC))" },
      ta: { to: "en-US", desc: "Tamil" },
      "ta-IN": { to: "en-US", desc: "Tamil (India)" },
      "ta-LK": { to: "en-US", desc: "Tamil (Sri Lanka)" },
      "ta-MY": { to: "en-US", desc: "Tamil (Malaysia)" },
      "ta-SG": { to: "en-US", desc: "Tamil (Singapore)" },
      te: { to: "en-US", desc: "Telugu" },
      "te-IN": { to: "en-US", desc: "Telugu (India)" },
      teo: { to: "en-US", desc: "Teso" },
      "teo-KE": { to: "en-US", desc: "Teso (Kenya)" },
      "teo-UG": { to: "en-US", desc: "Teso (Uganda)" },
      th: { to: "en-US", desc: "Thai" },
      "th-TH": { to: "en-US", desc: "Thai (Thailand)" },
      ti: { to: "en-US", desc: "Tigrinya" },
      "ti-ER": { to: "en-US", desc: "Tigrinya (Eritrea)" },
      "ti-ET": { to: "en-US", desc: "Tigrinya (Ethiopia)" },
      to: { to: "en-US", desc: "Tongan" },
      "to-TO": { to: "en-US", desc: "Tongan (Tonga)" },
      tr: { to: "tr-TR", desc: "Turkish" },
      "tr-CY": { to: "tr-TR", desc: "Turkish (Cyprus)" },
      "tr-TR": { to: "tr-TR", desc: "Turkish (Turkey)" },
      twq: { to: "en-US", desc: "Tasawaq" },
      "twq-NE": { to: "en-US", desc: "Tasawaq (Niger)" },
      tzm: { to: "en-US", desc: "Central Atlas Tamazight" },
      "tzm-MA": {
        to: "en-US",
        desc: "Central Atlas Tamazight (Latin,Morocco)",
      },
      ug: { to: "en-US", desc: "Uyghur" },
      "ug-CN": { to: "en-US", desc: "Uyghur (Arabic,China)" },
      uk: { to: "en-US", desc: "Ukrainian" },
      "uk-UA": { to: "en-US", desc: "Ukrainian (Ukraine)" },
      ur: { to: "en-US", desc: "Urdu" },
      "ur-IN": { to: "en-US", desc: "Urdu (India)" },
      "ur-PK": { to: "en-US", desc: "Urdu (Pakistan)" },
      uz: { to: "en-US", desc: "Uzbek" },
      "uz-AF": { to: "en-US", desc: "Uzbek (Arabic,Afghanistan)" },
      "uz-UZ": { to: "en-US", desc: "Uzbek (Cyrillic,Uzbekistan)" },
      vai: { to: "en-US", desc: "Vai" },
      "vai-LR": { to: "en-US", desc: "Vai (Latin,Liberia)" },
      vi: { to: "en-US", desc: "Vietnamese" },
      "vi-VN": { to: "en-US", desc: "Vietnamese (Vietnam)" },
      vun: { to: "en-US", desc: "Vunjo" },
      "vun-TZ": { to: "en-US", desc: "Vunjo (Tanzania)" },
      xog: { to: "en-US", desc: "Soga" },
      "xog-UG": { to: "en-US", desc: "Soga (Uganda)" },
      yav: { to: "en-US", desc: "Yangben" },
      "yav-CM": { to: "en-US", desc: "Yangben (Cameroon)" },
      yo: { to: "en-US", desc: "Yoruba" },
      "yo-BJ": { to: "en-US", desc: "Yoruba (Benin)" },
      "yo-NG": { to: "en-US", desc: "Yoruba (Nigeria)" },
      zgh: { to: "en-US", desc: "Standard Moroccan Tamazight" },
      "zgh-MA": { to: "en-US", desc: "Standard Moroccan Tamazight (Morocco)" },
      zh: { to: "en-US", desc: "Chinese" },
      "zh-CN": { to: "en-US", desc: "Chinese (Simplified Han,China)" },
      "zh-HK": { to: "en-US", desc: "Chinese (Simplified Han,Hong Kong)" },
      "zh-MO": { to: "en-US", desc: "Chinese (Simplified Han,Macau)" },
      "zh-SG": { to: "en-US", desc: "Chinese (Simplified Han,Singapore)" },
      "zh-TW": { to: "en-US", desc: "Chinese (Traditional Han,Taiwan)" },
      zu: { to: "en-US", desc: "Zulu" },
      "zu-ZA": { to: "en-US", desc: "Zulu (South Africa)" },
    },
  };
  let localeToDisplay: localeToDisplay = {
    "af-na": "Afrikaans (Namibia)",
    "af-za": "Afrikaans (South Africa)",
    af: "Afrikaans",
    "ak-gh": "Akan (Ghana)",
    ak: "Akan",
    "sq-al": "Albanian (Albania)",
    sq: "Albanian",
    "am-et": "Amharic (Ethiopia)",
    am: "Amharic",
    "ar-dz": "العربية (Algeria)",
    "ar-bh": "العربية (Bahrain)",
    "ar-eg": "العربية (Egypt)",
    "ar-iq": "العربية (Iraq)",
    "ar-jo": "العربية (Jordan)",
    "ar-kw": "العربية (Kuwait)",
    "ar-lb": "العربية (Lebanon)",
    "ar-ly": "العربية (Libya)",
    "ar-ma": "العربية (Morocco)",
    "ar-me": "العربية (Arabic)",
    "ar-om": "العربية (Oman)",
    "ar-qa": "العربية (Qatar)",
    "ar-sa": "العربية (Arabic)",
    "ar-sd": "العربية (Sudan)",
    "ar-sy": "العربية (Syria)",
    "ar-tn": "العربية (Tunisia)",
    "ar-ae": "العربية (United Arab Emirates)",
    "ar-ye": "العربية (Yemen)",
    ar: "العربية",
    "hy-am": "Armenian (Armenia)",
    hy: "Armenian",
    "as-in": "Assamese (India)",
    as: "Assamese",
    "asa-tz": "Asu (Tanzania)",
    asa: "Asu",
    "az-cyrl": "Azerbaijani (Cyrillic)",
    "az-cyrl-az": "Azerbaijani (Cyrillic, Azerbaijan)",
    "az-latn": "Azerbaijani (Latin)",
    "az-latn-az": "Azerbaijani (Latin, Azerbaijan)",
    az: "Azerbaijani",
    "bm-ml": "Bambara (Mali)",
    bm: "Bambara",
    "eu-es": "Basque (Spain)",
    eu: "Basque",
    "be-by": "Belarusian (Belarus)",
    be: "Belarusian",
    "bem-zm": "Bemba (Zambia)",
    bem: "Bemba",
    "bez-tz": "Bena (Tanzania)",
    bez: "Bena",
    "bn-bd": "Bengali (Bangladesh)",
    "bn-in": "Bengali (India)",
    bn: "Bengali",
    "bs-ba": "Bosnian (Bosnia and Herzegovina)",
    bs: "Bosnian",
    "bg-bg": "Bulgarian (Bulgaria)",
    bg: "Bulgarian",
    "my-mm": "Burmese (Myanmar [Burma])",
    my: "Burmese",
    "yue-hant-hk": "Cantonese (Traditional, Hong Kong SAR China)",
    "ca-es": "Catalan (Spain)",
    ca: "Catalan",
    "tzm-latn": "Central Morocco Tamazight (Latin)",
    "tzm-latn-ma": "Central Morocco Tamazight (Latin, Morocco)",
    tzm: "Central Morocco Tamazight",
    "chr-us": "Cherokee (United States)",
    chr: "Cherokee",
    "cgg-ug": "Chiga (Uganda)",
    cgg: "Chiga",
    "zh-hans": "Chinese (Simplified Han)",
    "zh-hans-cn": "Chinese (Simplified Han, China)",
    "zh-hans-hk": "Chinese (Simplified Han, Hong Kong SAR China)",
    "zh-hans-mo": "Chinese (Simplified Han, Macau SAR China)",
    "zh-hans-sg": "Chinese (Simplified Han, Singapore)",
    "zh-hant": "Chinese (Traditional Han)",
    "zh-hant-hk": "Chinese (Traditional Han, Hong Kong SAR China)",
    "zh-hant-mo": "Chinese (Traditional Han, Macau SAR China)",
    "zh-hant-tw": "Chinese (Traditional Han, Taiwan)",
    zh: "Chinese",
    "kw-gb": "Cornish (United Kingdom)",
    kw: "Cornish",
    "hr-hr": "Croatian (Croatia)",
    hr: "Croatian",
    "cs-cz": "Czech (Czech Republic)",
    cs: "Czech",
    "da-dk": "Danish (Denmark)",
    da: "Danish",
    "nl-be": "Dutch (Belgium)",
    "nl-nl": "Dutch (Netherlands)",
    nl: "Dutch",
    "ebu-ke": "Embu (Kenya)",
    ebu: "Embu",
    "en-as": "English (American Samoa)",
    "en-au": "English (Australia)",
    "en-be": "English (Belgium)",
    "en-bz": "English (Belize)",
    "en-bw": "English (Botswana)",
    "en-ca": "English (Canada)",
    "en-gu": "English (Guam)",
    "en-hk": "English (Hong Kong SAR China)",
    "en-in": "English (India)",
    "en-ie": "English (Ireland)",
    "en-il": "English (Israel)",
    "en-jm": "English (Jamaica)",
    "en-mt": "English (Malta)",
    "en-mh": "English (Marshall Islands)",
    "en-mu": "English (Mauritius)",
    "en-na": "English (Namibia)",
    "en-nz": "English (New Zealand)",
    "en-mp": "English (Northern Mariana Islands)",
    "en-pk": "English (Pakistan)",
    "en-ph": "English (Philippines)",
    "en-sg": "English (Singapore)",
    "en-za": "English (South Africa)",
    "en-tt": "English (Trinidad and Tobago)",
    "en-um": "English (U.S. Minor Outlying Islands)",
    "en-vi": "English (U.S. Virgin Islands)",
    "en-gb": "English (United Kingdom)",
    "en-us": "English (United States)",
    "en-zw": "English (Zimbabwe)",
    en: "English",
    eo: "Esperanto",
    "et-ee": "Estonian (Estonia)",
    et: "Estonian",
    "ee-gh": "Ewe (Ghana)",
    "ee-tg": "Ewe (Togo)",
    ee: "Ewe",
    "fo-fo": "Faroese (Faroe Islands)",
    fo: "Faroese",
    "fil-ph": "Filipino (Philippines)",
    fil: "Filipino",
    "fi-fi": "Finnish (Finland)",
    fi: "Finnish",
    "fr-be": "Français (Belgium)",
    "fr-bj": "Français (Benin)",
    "fr-bf": "Français (Burkina Faso)",
    "fr-bi": "Français (Burundi)",
    "fr-cm": "Français (Cameroon)",
    "fr-ca": "Français (Canada)",
    "fr-cf": "Français (Central African Republic)",
    "fr-td": "Français (Chad)",
    "fr-km": "Français (Comoros)",
    "fr-cg": "Français (Congo - Brazzaville)",
    "fr-cd": "Français (Congo - Kinshasa)",
    "fr-ci": "Français (Côte d’Ivoire)",
    "fr-dj": "Français (Djibouti)",
    "fr-gq": "Français (Equatorial Guinea)",
    "fr-fr": "Français (France)",
    "fr-ga": "Français (Gabon)",
    "fr-gp": "Français (Guadeloupe)",
    "fr-gn": "Français (Guinea)",
    "fr-lu": "Français (Luxembourg)",
    "fr-mg": "Français (Madagascar)",
    "fr-ml": "Français (Mali)",
    "fr-mq": "Français (Martinique)",
    "fr-mc": "Français (Monaco)",
    "fr-ne": "Français (Niger)",
    "fr-rw": "Français (Rwanda)",
    "fr-re": "Français (Réunion)",
    "fr-bl": "Français (Saint Barthélemy)",
    "fr-mf": "Français (Saint Martin)",
    "fr-sn": "Français (Senegal)",
    "fr-ch": "Français (Switzerland)",
    "fr-tg": "Français (Togo)",
    fr: "Français",
    "ff-sn": "Fulah (Senegal)",
    ff: "Fulah",
    "gl-es": "Galician (Spain)",
    gl: "Galician",
    "lg-ug": "Ganda (Uganda)",
    lg: "Ganda",
    "ka-ge": "Georgian (Georgia)",
    ka: "Georgian",
    "de-at": "Deutsch (Austria)",
    "de-be": "Deutsch (Belgium)",
    "de-de": "Deutsch (Germany)",
    "de-li": "Deutsch (Liechtenstein)",
    "de-lu": "Deutsch (Luxembourg)",
    "de-ch": "Deutsch (Switzerland)",
    de: "Deutsch",
    "el-cy": "Greek (Cyprus)",
    "el-gr": "Greek (Greece)",
    el: "Greek",
    "gu-in": "Gujarati (India)",
    gu: "Gujarati",
    "guz-ke": "Gusii (Kenya)",
    guz: "Gusii",
    "ha-latn": "Hausa (Latin)",
    "ha-latn-gh": "Hausa (Latin, Ghana)",
    "ha-latn-ne": "Hausa (Latin, Niger)",
    "ha-latn-ng": "Hausa (Latin, Nigeria)",
    ha: "Hausa",
    "haw-us": "Hawaiian (United States)",
    haw: "Hawaiian",
    "he-il": "Hebrew (Israel)",
    he: "Hebrew",
    "hi-in": "Hindi (India)",
    hi: "Hindi",
    "hu-hu": "Hungarian (Hungary)",
    hu: "Hungarian",
    "is-is": "Icelandic (Iceland)",
    is: "Icelandic",
    "ig-ng": "Igbo (Nigeria)",
    ig: "Igbo",
    "id-id": "Indonesian (Indonesia)",
    id: "Indonesian",
    "ga-ie": "Irish (Ireland)",
    ga: "Irish",
    "it-it": "Italian (Italy)",
    "it-ch": "Italian (Switzerland)",
    it: "Italiano",
    "ja-jp": "日本語 (Japan)",
    ja: "日本語",
    "kea-cv": "Kabuverdianu (Cape Verde)",
    kea: "Kabuverdianu",
    "kab-dz": "Kabyle (Algeria)",
    kab: "Kabyle",
    "kl-gl": "Kalaallisut (Greenland)",
    kl: "Kalaallisut",
    "kln-ke": "Kalenjin (Kenya)",
    kln: "Kalenjin",
    "kam-ke": "Kamba (Kenya)",
    kam: "Kamba",
    "kn-in": "Kannada (India)",
    kn: "Kannada",
    "kk-cyrl": "Kazakh (Cyrillic)",
    "kk-cyrl-kz": "Kazakh (Cyrillic, Kazakhstan)",
    kk: "Kazakh",
    "km-kh": "Khmer (Cambodia)",
    km: "Khmer",
    "ki-ke": "Kikuyu (Kenya)",
    ki: "Kikuyu",
    "rw-rw": "Kinyarwanda (Rwanda)",
    rw: "Kinyarwanda",
    "kok-in": "Konkani (India)",
    kok: "Konkani",
    "ko-kr": "Korean (South Korea)",
    ko: "Korean",
    "khq-ml": "Koyra Chiini (Mali)",
    khq: "Koyra Chiini",
    "ses-ml": "Koyraboro Senni (Mali)",
    ses: "Koyraboro Senni",
    "lag-tz": "Langi (Tanzania)",
    lag: "Langi",
    "lv-lv": "Latvian (Latvia)",
    lv: "Latvian",
    "lt-lt": "Lithuanian (Lithuania)",
    lt: "Lithuanian",
    "luo-ke": "Luo (Kenya)",
    luo: "Luo",
    "luy-ke": "Luyia (Kenya)",
    luy: "Luyia",
    "mk-mk": "Macedonian (Macedonia)",
    mk: "Macedonian",
    "jmc-tz": "Machame (Tanzania)",
    jmc: "Machame",
    "kde-tz": "Makonde (Tanzania)",
    kde: "Makonde",
    "mg-mg": "Malagasy (Madagascar)",
    mg: "Malagasy",
    "ms-bn": "Malay (Brunei)",
    "ms-my": "Malay (Malaysia)",
    ms: "Malay",
    "ml-in": "Malayalam (India)",
    ml: "Malayalam",
    "mt-mt": "Maltese (Malta)",
    mt: "Maltese",
    "gv-gb": "Manx (United Kingdom)",
    gv: "Manx",
    "mr-in": "Marathi (India)",
    mr: "Marathi",
    "mas-ke": "Masai (Kenya)",
    "mas-tz": "Masai (Tanzania)",
    mas: "Masai",
    "mer-ke": "Meru (Kenya)",
    mer: "Meru",
    "mfe-mu": "Morisyen (Mauritius)",
    mfe: "Morisyen",
    "naq-na": "Nama (Namibia)",
    naq: "Nama",
    "ne-in": "Nepali (India)",
    "ne-np": "Nepali (Nepal)",
    ne: "Nepali",
    "nd-zw": "North Ndebele (Zimbabwe)",
    nd: "North Ndebele",
    "nb-no": "Norwegian Bokmål (Norway)",
    nb: "Norwegian Bokmål",
    "nn-no": "Norwegian Nynorsk (Norway)",
    nn: "Norwegian Nynorsk",
    "nyn-ug": "Nyankole (Uganda)",
    nyn: "Nyankole",
    "or-in": "Oriya (India)",
    or: "Oriya",
    "om-et": "Oromo (Ethiopia)",
    "om-ke": "Oromo (Kenya)",
    om: "Oromo",
    "ps-af": "Pashto (Afghanistan)",
    ps: "Pashto",
    "fa-af": "Persian (Afghanistan)",
    "fa-ir": "Persian (Iran)",
    fa: "Persian",
    "pl-pl": "Polish (Poland)",
    pl: "Polish",
    "pt-br": "Português (Brasil)",
    "pt-gw": "Português (Guinea-Bissau)",
    "pt-mz": "Português (Mozambique)",
    "pt-pt": "Português (Portugal)",
    pt: "Português",
    "pa-arab": "Punjabi (Arabic)",
    "pa-arab-pk": "Punjabi (Arabic, Pakistan)",
    "pa-guru": "Punjabi (Gurmukhi)",
    "pa-guru-in": "Punjabi (Gurmukhi, India)",
    pa: "Punjabi",
    "ro-md": "Romanian (Moldova)",
    "ro-ro": "Romanian (Romania)",
    ro: "Romanian",
    "rm-ch": "Romansh (Switzerland)",
    rm: "Romansh",
    "rof-tz": "Rombo (Tanzania)",
    rof: "Rombo",
    "ru-md": "Русский (Moldova)",
    "ru-ru": "Русский (Russia)",
    "ru-ua": "Русский (Ukraine)",
    ru: "Русский",
    "rwk-tz": "Rwa (Tanzania)",
    rwk: "Rwa",
    "saq-ke": "Samburu (Kenya)",
    saq: "Samburu",
    "sg-cf": "Sango (Central African Republic)",
    sg: "Sango",
    "seh-mz": "Sena (Mozambique)",
    seh: "Sena",
    "sr-cyrl": "Serbian (Cyrillic)",
    "sr-cyrl-ba": "Serbian (Cyrillic, Bosnia and Herzegovina)",
    "sr-cyrl-me": "Serbian (Cyrillic, Montenegro)",
    "sr-cyrl-rs": "Serbian (Cyrillic, Serbia)",
    "sr-latn": "Serbian (Latin)",
    "sr-latn-ba": "Serbian (Latin, Bosnia and Herzegovina)",
    "sr-latn-me": "Serbian (Latin, Montenegro)",
    "sr-latn-rs": "Serbian (Latin, Serbia)",
    sr: "Serbian",
    "sn-zw": "Shona (Zimbabwe)",
    sn: "Shona",
    "ii-cn": "Sichuan Yi (China)",
    ii: "Sichuan Yi",
    "si-lk": "Sinhala (Sri Lanka)",
    si: "Sinhala",
    "sk-sk": "Slovak (Slovakia)",
    sk: "Slovak",
    "sl-si": "Slovenian (Slovenia)",
    sl: "Slovenian",
    "xog-ug": "Soga (Uganda)",
    xog: "Soga",
    "so-dj": "Somali (Djibouti)",
    "so-et": "Somali (Ethiopia)",
    "so-ke": "Somali (Kenya)",
    "so-so": "Somali (Somalia)",
    so: "Somali",
    "es-ar": "Español (Argentina)",
    "es-bo": "Español (Bolivia)",
    "es-cl": "Español (Chile)",
    "es-co": "Español (Colombia)",
    "es-cr": "Español (Costa Rica)",
    "es-do": "Español (Dominican Republic)",
    "es-ec": "Español (Ecuador)",
    "es-sv": "Español (El Salvador)",
    "es-gq": "Español (Equatorial Guinea)",
    "es-gt": "Español (Guatemala)",
    "es-hn": "Español (Honduras)",
    "es-419": "Español (Latin America)",
    "es-la": "Español (Latin America)",
    "es-mx": "Español (Mexico)",
    "es-ni": "Español (Nicaragua)",
    "es-pa": "Español (Panama)",
    "es-py": "Español (Paraguay)",
    "es-pe": "Español (Peru)",
    "es-pr": "Español (Puerto Rico)",
    "es-es": "Español (España)",
    "es-us": "Español (United States)",
    "es-uy": "Español (Uruguay)",
    "es-ve": "Español (Venezuela)",
    es: "Español",
    "sw-ke": "Swahili (Kenya)",
    "sw-tz": "Swahili (Tanzania)",
    sw: "Swahili",
    "sv-fi": "Swedish (Finland)",
    "sv-se": "Swedish (Sweden)",
    sv: "Swedish",
    "gsw-ch": "Swiss Deutsch (Switzerland)",
    gsw: "Swiss Deutsch",
    "shi-latn": "Tachelhit (Latin)",
    "shi-latn-ma": "Tachelhit (Latin, Morocco)",
    "shi-tfng": "Tachelhit (Tifinagh)",
    "shi-tfng-ma": "Tachelhit (Tifinagh, Morocco)",
    shi: "Tachelhit",
    "dav-ke": "Taita (Kenya)",
    dav: "Taita",
    "ta-in": "Tamil (India)",
    "ta-lk": "Tamil (Sri Lanka)",
    ta: "Tamil",
    "te-in": "Telugu (India)",
    te: "Telugu",
    "teo-ke": "Teso (Kenya)",
    "teo-ug": "Teso (Uganda)",
    teo: "Teso",
    "th-th": "Thai (Thailand)",
    th: "Thai",
    "bo-cn": "Tibetan (China)",
    "bo-in": "Tibetan (India)",
    bo: "Tibetan",
    "ti-er": "Tigrinya (Eritrea)",
    "ti-et": "Tigrinya (Ethiopia)",
    ti: "Tigrinya",
    "to-to": "Tonga (Tonga)",
    to: "Tonga",
    "tr-tr": "Turkish (Turkey)",
    tr: "Turkish",
    "uk-ua": "Ukrainian (Ukraine)",
    uk: "Ukrainian",
    "ur-in": "Urdu (India)",
    "ur-pk": "Urdu (Pakistan)",
    ur: "Urdu",
    "uz-arab": "Uzbek (Arabic)",
    "uz-arab-af": "Uzbek (Arabic, Afghanistan)",
    "uz-cyrl": "Uzbek (Cyrillic)",
    "uz-cyrl-uz": "Uzbek (Cyrillic, Uzbekistan)",
    "uz-latn": "Uzbek (Latin)",
    "uz-latn-uz": "Uzbek (Latin, Uzbekistan)",
    uz: "Uzbek",
    "vi-vn": "Vietnamese (Vietnam)",
    vi: "Vietnamese",
    "vun-tz": "Vunjo (Tanzania)",
    vun: "Vunjo",
    "cy-gb": "Welsh (United Kingdom)",
    cy: "Welsh",
    "yo-ng": "Yoruba (Nigeria)",
    yo: "Yoruba",
    "zu-za": "Zulu (South Africa)",
    zu: "Zulu",
    "": "",
  };
});
